Purchase Requisition¶
Get A Resource By ID¶
HTTP Request
GET /api/v1/purchase-requisition/{id}
📋 Description: Returns the single resource with the given ID.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Resource ID |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "shippingAddress": "string",
18 "state": "INV_DRAFT",
19 "notes": "string",
20 "currency": {
21 "id": 0,
22 "displayId": "string",
23 "status": "CREATED",
24 "name": "string",
25 "decimalPoints": 0
26 },
27 "company": {
28 "id": 0,
29 "displayId": "string",
30 "status": "CREATED",
31 "erpSystemId": 0,
32 "erpSystemDisplayId": "string",
33 "countryId": 0,
34 "countryDisplayId": "string",
35 "name": "string",
36 "postingPeriodVariantId": 0,
37 "fiscalVariantId": 0
38 },
39 "totalAmount": 0,
40 "purchaseRequisitionItems": [
41 {
42 "id": 0,
43 "displayId": "string",
44 "quantity": 0,
45 "allocatedQuantity": 0,
46 "unitPrice": 0,
47 "description": "string",
48 "expenseCategory": {
49 "id": 0,
50 "displayId": "string",
51 "status": "CREATED",
52 "name": "string",
53 "expenseCategoryType": "PAYMENT"
54 },
55 "costCenter": {
56 "id": 0,
57 "displayId": "string",
58 "status": "CREATED",
59 "name": "string",
60 "erpSystemId": 0
61 },
62 "profitCenter": {
63 "id": 0,
64 "displayId": "string",
65 "status": "CREATED",
66 "name": "string",
67 "validTo": "2019-08-24",
68 "erpSystemId": 0,
69 "erpSystemDisplayId": "string"
70 },
71 "purchaseRequisitionId": 0,
72 "purchaseRequisitionDisplayId": "string",
73 "purchaseOrderLineItems": [
74 {
75 "id": 0,
76 "displayId": "string",
77 "quantity": 0,
78 "allocatedQuantity": 0,
79 "receivedQuantity": 0,
80 "unitPrice": 0,
81 "description": "string",
82 "expenseCategory": {
83 "id": 0,
84 "displayId": "string",
85 "status": "CREATED",
86 "name": "string",
87 "expenseCategoryType": "PAYMENT"
88 },
89 "costCenter": {
90 "id": 0,
91 "displayId": "string",
92 "status": "CREATED",
93 "name": "string",
94 "erpSystemId": 0
95 },
96 "profitCenter": {
97 "id": 0,
98 "displayId": "string",
99 "status": "CREATED",
100 "name": "string",
101 "validTo": "2019-08-24",
102 "erpSystemId": 0,
103 "erpSystemDisplayId": "string"
104 },
105 "taxJurisdiction": {
106 "id": 0,
107 "displayId": "string",
108 "status": "CREATED",
109 "name": "string",
110 "erpSystemId": 0,
111 "schema": "string",
112 "countryDisplayId": "string"
113 },
114 "taxCode": {
115 "id": 0,
116 "displayId": "string",
117 "status": "CREATED",
118 "name": "string",
119 "erpSystemId": 0
120 },
121 "taxLineItems": [
122 {
123 "id": 0,
124 "taxRate": 0.1,
125 "taxAmount": 0,
126 "taxType": "string",
127 "purchaseOrderLineItemId": 0
128 }
129 ],
130 "purchaseOrderId": 0,
131 "purchaseOrderDisplayId": "string",
132 "purchaseOrderState": "INV_DRAFT",
133 "invoiceLineItems": [
134 {
135 "id": 0,
136 "displayId": "string",
137 "expenseCategory": {
138 "id": 0,
139 "displayId": "string",
140 "status": "CREATED",
141 "name": "string",
142 "expenseCategoryType": "PAYMENT"
143 },
144 "description": "string",
145 "unitOfMeasure": {
146 "id": 0,
147 "displayId": "string",
148 "status": "CREATED",
149 "name": "string",
150 "erpSystemId": 0
151 },
152 "quantity": 0,
153 "unitPrice": 0,
154 "taxJurisdiction": {
155 "id": 0,
156 "displayId": "string",
157 "status": "CREATED",
158 "name": "string",
159 "erpSystemId": 0,
160 "schema": "string",
161 "countryDisplayId": "string"
162 },
163 "taxCode": {
164 "id": 0,
165 "displayId": "string",
166 "status": "CREATED",
167 "name": "string",
168 "erpSystemId": 0
169 },
170 "taxExpenseAccount": {
171 "id": 0,
172 "displayId": "string",
173 "generalLedgerAccountName": "string",
174 "generalLedgerAccountCode": "string",
175 "openItemManagement": true,
176 "accountCategory": "BALANCESHEET",
177 "shortName": "string",
178 "longName": "string"
179 },
180 "taxLineItems": [
181 {
182 "id": 0,
183 "taxRate": 0.1,
184 "taxAmount": 0,
185 "taxType": "string",
186 "invoiceLineItemId": 0
187 }
188 ],
189 "workBreakdownStructure": {
190 "id": 0,
191 "displayId": "string",
192 "status": "CREATED",
193 "name": "string",
194 "erpSystemId": 0
195 },
196 "costCenter": {
197 "id": 0,
198 "displayId": "string",
199 "status": "CREATED",
200 "name": "string",
201 "erpSystemId": 0
202 },
203 "profitCenter": {
204 "id": 0,
205 "displayId": "string",
206 "status": "CREATED",
207 "name": "string",
208 "validTo": "2019-08-24",
209 "erpSystemId": 0,
210 "erpSystemDisplayId": "string"
211 },
212 "functionalArea": {
213 "id": 0,
214 "displayId": "string",
215 "status": "CREATED",
216 "name": "string",
217 "erpSystemId": 0
218 },
219 "businessArea": {
220 "id": 0,
221 "displayId": "string",
222 "status": "CREATED",
223 "name": "string",
224 "erpSystemId": 0
225 },
226 "segment": {
227 "id": 0,
228 "displayId": "string",
229 "status": "CREATED",
230 "name": "string",
231 "erpSystemId": 0
232 },
233 "network": {
234 "id": 0,
235 "displayId": "string",
236 "status": "CREATED",
237 "name": "string",
238 "erpSystemId": 0
239 },
240 "internalOrderType": {
241 "id": 0,
242 "displayId": "string",
243 "status": "CREATED",
244 "name": "string",
245 "erpSystemId": 0
246 },
247 "internalOrder": {
248 "id": 0,
249 "displayId": "string",
250 "status": "CREATED",
251 "name": "string",
252 "erpSystemId": 0,
253 "internalOrderTypeId": 0
254 },
255 "additionalCurrencies": [
256 {
257 "id": 0,
258 "amount": 0,
259 "currency": {},
260 "conversionRate": 0,
261 "conversionDate": "2019-08-24",
262 "translationDateType": "DOCUMENT_DATE",
263 "amountType": "NET_AMOUNT",
264 "currencyDefinitionType": "CONTRACT_CURRENCY",
265 "invoiceEntryId": 0,
266 "invoiceEntryDisplayId": "string"
267 }
268 ],
269 "scheduledPaymentMatches": [
270 {
271 "id": 0,
272 "fromId": 0,
273 "toId": 0,
274 "amount": 0
275 }
276 ],
277 "goodsReceiptLineItemLinks": [
278 {
279 "id": 0,
280 "fromId": 0,
281 "toId": 0,
282 "linkedQuantity": 0
283 }
284 ],
285 "invoiceId": 0,
286 "invoiceDisplayId": "string",
287 "invoiceState": "INV_DRAFT",
288 "vendorPaymentId": 0,
289 "purchaseOrderLineItemId": 0,
290 "netAmount": 0,
291 "allowsSystemGenerateNewId": true,
292 "numberRangeIdentifierValue": "string",
293 "numberRangeIdentifierType": {
294 "name": "string"
295 },
296 "numberRangeType": {
297 "name": "string"
298 }
299 }
300 ],
301 "goodsReceiptLineItems": [
302 {
303 "id": 0,
304 "displayId": "string",
305 "quantity": 0,
306 "invoicedQuantity": 0,
307 "description": "string",
308 "expenseCategory": {
309 "id": 0,
310 "displayId": "string",
311 "status": "CREATED",
312 "name": "string",
313 "expenseCategoryType": "PAYMENT"
314 },
315 "goodsReceiptId": 0,
316 "goodsReceiptDisplayId": "string",
317 "goodsReceiptState": "INV_DRAFT",
318 "purchaseOrderLineItemId": 0,
319 "invoiceLineItemLinks": [
320 {
321 "id": 0,
322 "fromId": 0,
323 "toId": 0,
324 "linkedQuantity": 0
325 }
326 ],
327 "availableQuantity": 0,
328 "allowsSystemGenerateNewId": true,
329 "numberRangeIdentifierValue": "string",
330 "numberRangeIdentifierType": {
331 "name": "string"
332 },
333 "numberRangeType": {
334 "name": "string"
335 }
336 }
337 ],
338 "vendorPaymentId": 0,
339 "purchaseRequisitionLineItemId": 0,
340 "purchaseRequisitionDisplayId": "string",
341 "purchaseRequisitionLineItemAvailableQuantity": 0,
342 "remainingQuantity": 0,
343 "availableQuantity": 0,
344 "allowsSystemGenerateNewId": true,
345 "numberRangeIdentifierValue": "string",
346 "numberRangeIdentifierType": {
347 "name": "string"
348 },
349 "numberRangeType": {
350 "name": "string"
351 }
352 }
353 ],
354 "availableQuantity": 0,
355 "allowsSystemGenerateNewId": true,
356 "numberRangeIdentifierValue": "string",
357 "numberRangeIdentifierType": {
358 "name": "string"
359 },
360 "numberRangeType": {
361 "name": "string"
362 }
363 }
364 ],
365 "purchaseOrders": [
366 {
367 "id": 0,
368 "displayId": "string",
369 "state": "INV_DRAFT",
370 "issueDate": "2019-08-24",
371 "expectedDeliveryDate": "2019-08-24",
372 "name": "string",
373 "shippingAddress": "string",
374 "notes": "string",
375 "netAmount": 0,
376 "taxAmount": 0,
377 "externalPurchaseOrderDisplayId": "string",
378 "vendor": {
379 "id": 0,
380 "displayId": "string",
381 "status": "CREATED",
382 "name": "string",
383 "erpSystemDisplayId": "string"
384 },
385 "currency": {
386 "id": 0,
387 "displayId": "string",
388 "status": "CREATED",
389 "name": "string",
390 "decimalPoints": 0
391 },
392 "company": {
393 "id": 0,
394 "displayId": "string",
395 "status": "CREATED",
396 "erpSystemId": 0,
397 "erpSystemDisplayId": "string",
398 "countryId": 0,
399 "countryDisplayId": "string",
400 "name": "string",
401 "postingPeriodVariantId": 0,
402 "fiscalVariantId": 0
403 },
404 "purchaseOrderLineItems": [
405 {
406 "id": 0,
407 "displayId": "string",
408 "quantity": 0,
409 "allocatedQuantity": 0,
410 "receivedQuantity": 0,
411 "unitPrice": 0,
412 "description": "string",
413 "expenseCategory": {
414 "id": 0,
415 "displayId": "string",
416 "status": "CREATED",
417 "name": "string",
418 "expenseCategoryType": "PAYMENT"
419 },
420 "costCenter": {
421 "id": 0,
422 "displayId": "string",
423 "status": "CREATED",
424 "name": "string",
425 "erpSystemId": 0
426 },
427 "profitCenter": {
428 "id": 0,
429 "displayId": "string",
430 "status": "CREATED",
431 "name": "string",
432 "validTo": "2019-08-24",
433 "erpSystemId": 0,
434 "erpSystemDisplayId": "string"
435 },
436 "taxJurisdiction": {
437 "id": 0,
438 "displayId": "string",
439 "status": "CREATED",
440 "name": "string",
441 "erpSystemId": 0,
442 "schema": "string",
443 "countryDisplayId": "string"
444 },
445 "taxCode": {
446 "id": 0,
447 "displayId": "string",
448 "status": "CREATED",
449 "name": "string",
450 "erpSystemId": 0
451 },
452 "taxLineItems": [
453 {
454 "id": 0,
455 "taxRate": 0.1,
456 "taxAmount": 0,
457 "taxType": "string",
458 "purchaseOrderLineItemId": 0
459 }
460 ],
461 "purchaseOrderId": 0,
462 "purchaseOrderDisplayId": "string",
463 "purchaseOrderState": "INV_DRAFT",
464 "invoiceLineItems": [
465 {
466 "id": 0,
467 "displayId": "string",
468 "expenseCategory": {
469 "id": 0,
470 "displayId": "string",
471 "status": "CREATED",
472 "name": "string",
473 "expenseCategoryType": "PAYMENT"
474 },
475 "description": "string",
476 "unitOfMeasure": {
477 "id": 0,
478 "displayId": "string",
479 "status": "CREATED",
480 "name": "string",
481 "erpSystemId": 0
482 },
483 "quantity": 0,
484 "unitPrice": 0,
485 "taxJurisdiction": {
486 "id": 0,
487 "displayId": "string",
488 "status": "CREATED",
489 "name": "string",
490 "erpSystemId": 0,
491 "schema": "string",
492 "countryDisplayId": "string"
493 },
494 "taxCode": {
495 "id": 0,
496 "displayId": "string",
497 "status": "CREATED",
498 "name": "string",
499 "erpSystemId": 0
500 },
501 "taxExpenseAccount": {
502 "id": 0,
503 "displayId": "string",
504 "generalLedgerAccountName": "string",
505 "generalLedgerAccountCode": "string",
506 "openItemManagement": true,
507 "accountCategory": "BALANCESHEET",
508 "shortName": "string",
509 "longName": "string"
510 },
511 "taxLineItems": [
512 {
513 "id": 0,
514 "taxRate": 0.1,
515 "taxAmount": 0,
516 "taxType": "string",
517 "invoiceLineItemId": 0
518 }
519 ],
520 "workBreakdownStructure": {
521 "id": 0,
522 "displayId": "string",
523 "status": "CREATED",
524 "name": "string",
525 "erpSystemId": 0
526 },
527 "costCenter": {
528 "id": 0,
529 "displayId": "string",
530 "status": "CREATED",
531 "name": "string",
532 "erpSystemId": 0
533 },
534 "profitCenter": {
535 "id": 0,
536 "displayId": "string",
537 "status": "CREATED",
538 "name": "string",
539 "validTo": "2019-08-24",
540 "erpSystemId": 0,
541 "erpSystemDisplayId": "string"
542 },
543 "functionalArea": {
544 "id": 0,
545 "displayId": "string",
546 "status": "CREATED",
547 "name": "string",
548 "erpSystemId": 0
549 },
550 "businessArea": {
551 "id": 0,
552 "displayId": "string",
553 "status": "CREATED",
554 "name": "string",
555 "erpSystemId": 0
556 },
557 "segment": {
558 "id": 0,
559 "displayId": "string",
560 "status": "CREATED",
561 "name": "string",
562 "erpSystemId": 0
563 },
564 "network": {
565 "id": 0,
566 "displayId": "string",
567 "status": "CREATED",
568 "name": "string",
569 "erpSystemId": 0
570 },
571 "internalOrderType": {
572 "id": 0,
573 "displayId": "string",
574 "status": "CREATED",
575 "name": "string",
576 "erpSystemId": 0
577 },
578 "internalOrder": {
579 "id": 0,
580 "displayId": "string",
581 "status": "CREATED",
582 "name": "string",
583 "erpSystemId": 0,
584 "internalOrderTypeId": 0
585 },
586 "additionalCurrencies": [
587 {
588 "id": 0,
589 "amount": 0,
590 "currency": {},
591 "conversionRate": 0,
592 "conversionDate": "2019-08-24",
593 "translationDateType": "DOCUMENT_DATE",
594 "amountType": "NET_AMOUNT",
595 "currencyDefinitionType": "CONTRACT_CURRENCY",
596 "invoiceEntryId": 0,
597 "invoiceEntryDisplayId": "string"
598 }
599 ],
600 "scheduledPaymentMatches": [
601 {
602 "id": 0,
603 "fromId": 0,
604 "toId": 0,
605 "amount": 0
606 }
607 ],
608 "goodsReceiptLineItemLinks": [
609 {
610 "id": 0,
611 "fromId": 0,
612 "toId": 0,
613 "linkedQuantity": 0
614 }
615 ],
616 "invoiceId": 0,
617 "invoiceDisplayId": "string",
618 "invoiceState": "INV_DRAFT",
619 "vendorPaymentId": 0,
620 "purchaseOrderLineItemId": 0,
621 "netAmount": 0,
622 "allowsSystemGenerateNewId": true,
623 "numberRangeIdentifierValue": "string",
624 "numberRangeIdentifierType": {
625 "name": "string"
626 },
627 "numberRangeType": {
628 "name": "string"
629 }
630 }
631 ],
632 "goodsReceiptLineItems": [
633 {
634 "id": 0,
635 "displayId": "string",
636 "quantity": 0,
637 "invoicedQuantity": 0,
638 "description": "string",
639 "expenseCategory": {
640 "id": 0,
641 "displayId": "string",
642 "status": "CREATED",
643 "name": "string",
644 "expenseCategoryType": "PAYMENT"
645 },
646 "goodsReceiptId": 0,
647 "goodsReceiptDisplayId": "string",
648 "goodsReceiptState": "INV_DRAFT",
649 "purchaseOrderLineItemId": 0,
650 "invoiceLineItemLinks": [
651 {
652 "id": 0,
653 "fromId": 0,
654 "toId": 0,
655 "linkedQuantity": 0
656 }
657 ],
658 "availableQuantity": 0,
659 "allowsSystemGenerateNewId": true,
660 "numberRangeIdentifierValue": "string",
661 "numberRangeIdentifierType": {
662 "name": "string"
663 },
664 "numberRangeType": {
665 "name": "string"
666 }
667 }
668 ],
669 "vendorPaymentId": 0,
670 "purchaseRequisitionLineItemId": 0,
671 "purchaseRequisitionDisplayId": "string",
672 "purchaseRequisitionLineItemAvailableQuantity": 0,
673 "remainingQuantity": 0,
674 "availableQuantity": 0,
675 "allowsSystemGenerateNewId": true,
676 "numberRangeIdentifierValue": "string",
677 "numberRangeIdentifierType": {
678 "name": "string"
679 },
680 "numberRangeType": {
681 "name": "string"
682 }
683 }
684 ],
685 "purchaseRequisitionIds": [
686 0
687 ],
688 "purchaseRequisitionDisplayIds": [
689 "string"
690 ],
691 "invoices": [
692 {
693 "id": 0,
694 "displayId": "string",
695 "name": "string",
696 "invoiceType": "VENDOR_INV",
697 "state": "INV_DRAFT",
698 "externalDocumentNumber": "string",
699 "purchaseOrderReference": "string",
700 "invoiceDate": "2019-08-24",
701 "dueDate": "2019-08-24",
702 "notes": "string",
703 "billingPeriodFromDate": "2019-08-24",
704 "billingPeriodToDate": "2019-08-24",
705 "currency": {
706 "id": 0,
707 "displayId": "string",
708 "status": "CREATED",
709 "name": "string",
710 "decimalPoints": 0
711 },
712 "vendor": {
713 "id": 0,
714 "displayId": "string",
715 "status": "CREATED",
716 "name": "string",
717 "erpSystemDisplayId": "string"
718 },
719 "company": {
720 "id": 0,
721 "displayId": "string",
722 "status": "CREATED",
723 "erpSystemId": 0,
724 "erpSystemDisplayId": "string",
725 "countryId": 0,
726 "countryDisplayId": "string",
727 "name": "string",
728 "postingPeriodVariantId": 0,
729 "fiscalVariantId": 0
730 },
731 "netAmount": 0,
732 "taxAmount": 0,
733 "totalAmount": 0,
734 "netAmountBalance": 0,
735 "taxAmountBalance": 0,
736 "paymentTerm": {
737 "id": 0,
738 "displayId": "string",
739 "status": "CREATED",
740 "name": "string"
741 },
742 "paymentMethod": {
743 "id": 0,
744 "displayId": "string",
745 "status": "CREATED",
746 "name": "string",
747 "type": "string"
748 },
749 "paymentBlock": {
750 "id": 0,
751 "displayId": "string",
752 "status": "CREATED",
753 "name": "string"
754 },
755 "defaultCostCenter": {
756 "id": 0,
757 "displayId": "string",
758 "status": "CREATED",
759 "name": "string",
760 "erpSystemId": 0
761 },
762 "defaultProfitCenter": {
763 "id": 0,
764 "displayId": "string",
765 "status": "CREATED",
766 "name": "string",
767 "validTo": "2019-08-24",
768 "erpSystemId": 0,
769 "erpSystemDisplayId": "string"
770 },
771 "invoiceLineItems": [
772 {
773 "id": 0,
774 "displayId": "string",
775 "expenseCategory": {
776 "id": 0,
777 "displayId": "string",
778 "status": "CREATED",
779 "name": "string",
780 "expenseCategoryType": "PAYMENT"
781 },
782 "description": "string",
783 "unitOfMeasure": {
784 "id": 0,
785 "displayId": "string",
786 "status": "CREATED",
787 "name": "string",
788 "erpSystemId": 0
789 },
790 "quantity": 0,
791 "unitPrice": 0,
792 "taxJurisdiction": {
793 "id": 0,
794 "displayId": "string",
795 "status": "CREATED",
796 "name": "string",
797 "erpSystemId": 0,
798 "schema": "string",
799 "countryDisplayId": "string"
800 },
801 "taxCode": {
802 "id": 0,
803 "displayId": "string",
804 "status": "CREATED",
805 "name": "string",
806 "erpSystemId": 0
807 },
808 "taxExpenseAccount": {
809 "id": 0,
810 "displayId": "string",
811 "generalLedgerAccountName": "string",
812 "generalLedgerAccountCode": "string",
813 "openItemManagement": true,
814 "accountCategory": "BALANCESHEET",
815 "shortName": "string",
816 "longName": "string"
817 },
818 "taxLineItems": [
819 {
820 "id": 0,
821 "taxRate": 0.1,
822 "taxAmount": 0,
823 "taxType": "string",
824 "invoiceLineItemId": 0
825 }
826 ],
827 "workBreakdownStructure": {
828 "id": 0,
829 "displayId": "string",
830 "status": "CREATED",
831 "name": "string",
832 "erpSystemId": 0
833 },
834 "costCenter": {
835 "id": 0,
836 "displayId": "string",
837 "status": "CREATED",
838 "name": "string",
839 "erpSystemId": 0
840 },
841 "profitCenter": {
842 "id": 0,
843 "displayId": "string",
844 "status": "CREATED",
845 "name": "string",
846 "validTo": "2019-08-24",
847 "erpSystemId": 0,
848 "erpSystemDisplayId": "string"
849 },
850 "functionalArea": {
851 "id": 0,
852 "displayId": "string",
853 "status": "CREATED",
854 "name": "string",
855 "erpSystemId": 0
856 },
857 "businessArea": {
858 "id": 0,
859 "displayId": "string",
860 "status": "CREATED",
861 "name": "string",
862 "erpSystemId": 0
863 },
864 "segment": {
865 "id": 0,
866 "displayId": "string",
867 "status": "CREATED",
868 "name": "string",
869 "erpSystemId": 0
870 },
871 "network": {
872 "id": 0,
873 "displayId": "string",
874 "status": "CREATED",
875 "name": "string",
876 "erpSystemId": 0
877 },
878 "internalOrderType": {
879 "id": 0,
880 "displayId": "string",
881 "status": "CREATED",
882 "name": "string",
883 "erpSystemId": 0
884 },
885 "internalOrder": {
886 "id": 0,
887 "displayId": "string",
888 "status": "CREATED",
889 "name": "string",
890 "erpSystemId": 0,
891 "internalOrderTypeId": 0
892 },
893 "additionalCurrencies": [
894 {
895 "id": 0,
896 "amount": 0,
897 "currency": {},
898 "conversionRate": 0,
899 "conversionDate": "2019-08-24",
900 "translationDateType": "DOCUMENT_DATE",
901 "amountType": "NET_AMOUNT",
902 "currencyDefinitionType": "CONTRACT_CURRENCY",
903 "invoiceEntryId": 0,
904 "invoiceEntryDisplayId": "string"
905 }
906 ],
907 "scheduledPaymentMatches": [
908 {
909 "id": 0,
910 "fromId": 0,
911 "toId": 0,
912 "amount": 0
913 }
914 ],
915 "goodsReceiptLineItemLinks": [
916 {
917 "id": 0,
918 "fromId": 0,
919 "toId": 0,
920 "linkedQuantity": 0
921 }
922 ],
923 "invoiceId": 0,
924 "invoiceDisplayId": "string",
925 "invoiceState": "INV_DRAFT",
926 "vendorPaymentId": 0,
927 "purchaseOrderLineItemId": 0,
928 "netAmount": 0,
929 "allowsSystemGenerateNewId": true,
930 "numberRangeIdentifierValue": "string",
931 "numberRangeIdentifierType": {
932 "name": "string"
933 },
934 "numberRangeType": {
935 "name": "string"
936 }
937 }
938 ],
939 "workspaceId": 0,
940 "workspaceDisplayId": "string",
941 "workspaceName": "string",
942 "workspaceState": "INV_DRAFT",
943 "remainingNetAmount": 0,
944 "remainingTaxAmount": 0,
945 "remainingTotalAmount": 0,
946 "pendingPaymentCount": 0,
947 "allPaymentsPosted": true,
948 "approvalInfo": {
949 "approverUsername": "string",
950 "approvedAt": "2019-08-24T14:15:22Z"
951 },
952 "rejectionReason": "string",
953 "allowsSystemGenerateNewId": true,
954 "numberRangeIdentifierValue": "string",
955 "numberRangeIdentifierType": {
956 "name": "string"
957 },
958 "numberRangeType": {
959 "name": "string"
960 }
961 }
962 ],
963 "rejectionReason": "string",
964 "allowsSystemGenerateNewId": true,
965 "numberRangeIdentifierValue": "string",
966 "numberRangeIdentifierType": {
967 "name": "string"
968 },
969 "numberRangeType": {
970 "name": "string"
971 }
972 }
973 ],
974 "approvalInfo": {
975 "approverUsername": "string",
976 "approvedAt": "2019-08-24T14:15:22Z"
977 },
978 "rejectionReason": "string",
979 "allowsSystemGenerateNewId": true,
980 "numberRangeIdentifierValue": "string",
981 "numberRangeIdentifierType": {
982 "name": "string"
983 },
984 "numberRangeType": {
985 "name": "string"
986 }
987 }
988}
Update A Resource¶
HTTP Request
PUT /api/v1/purchase-requisition/{id}
📋 Description: Fully replaces the resource with the given ID. All fields in the request body are applied.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Resource ID |
body |
body |
true |
Request body containing the updated purchase requisition details, including item specifications, quantities, and approval status. |
Body Parameters
1{
2 "id": 0,
3 "displayId": "string",
4 "shippingAddress": "string",
5 "state": "INV_DRAFT",
6 "notes": "string",
7 "currency": {
8 "id": 0,
9 "displayId": "string",
10 "status": "CREATED",
11 "name": "string",
12 "decimalPoints": 0
13 },
14 "company": {
15 "id": 0,
16 "displayId": "string",
17 "status": "CREATED",
18 "erpSystemId": 0,
19 "erpSystemDisplayId": "string",
20 "countryId": 0,
21 "countryDisplayId": "string",
22 "name": "string",
23 "postingPeriodVariantId": 0,
24 "fiscalVariantId": 0
25 },
26 "totalAmount": 0,
27 "purchaseRequisitionItems": [
28 {
29 "id": 0,
30 "displayId": "string",
31 "quantity": 0,
32 "allocatedQuantity": 0,
33 "unitPrice": 0,
34 "description": "string",
35 "expenseCategory": {
36 "id": 0,
37 "displayId": "string",
38 "status": "CREATED",
39 "name": "string",
40 "expenseCategoryType": "PAYMENT"
41 },
42 "costCenter": {
43 "id": 0,
44 "displayId": "string",
45 "status": "CREATED",
46 "name": "string",
47 "erpSystemId": 0
48 },
49 "profitCenter": {
50 "id": 0,
51 "displayId": "string",
52 "status": "CREATED",
53 "name": "string",
54 "validTo": "2019-08-24",
55 "erpSystemId": 0,
56 "erpSystemDisplayId": "string"
57 },
58 "purchaseRequisitionId": 0,
59 "purchaseRequisitionDisplayId": "string",
60 "purchaseOrderLineItems": [
61 {
62 "id": 0,
63 "displayId": "string",
64 "quantity": 0,
65 "allocatedQuantity": 0,
66 "receivedQuantity": 0,
67 "unitPrice": 0,
68 "description": "string",
69 "expenseCategory": {
70 "id": 0,
71 "displayId": "string",
72 "status": "CREATED",
73 "name": "string",
74 "expenseCategoryType": "PAYMENT"
75 },
76 "costCenter": {
77 "id": 0,
78 "displayId": "string",
79 "status": "CREATED",
80 "name": "string",
81 "erpSystemId": 0
82 },
83 "profitCenter": {
84 "id": 0,
85 "displayId": "string",
86 "status": "CREATED",
87 "name": "string",
88 "validTo": "2019-08-24",
89 "erpSystemId": 0,
90 "erpSystemDisplayId": "string"
91 },
92 "taxJurisdiction": {
93 "id": 0,
94 "displayId": "string",
95 "status": "CREATED",
96 "name": "string",
97 "erpSystemId": 0,
98 "schema": "string",
99 "countryDisplayId": "string"
100 },
101 "taxCode": {
102 "id": 0,
103 "displayId": "string",
104 "status": "CREATED",
105 "name": "string",
106 "erpSystemId": 0
107 },
108 "taxLineItems": [
109 {
110 "id": 0,
111 "taxRate": 0.1,
112 "taxAmount": 0,
113 "taxType": "string",
114 "purchaseOrderLineItemId": 0
115 }
116 ],
117 "purchaseOrderId": 0,
118 "purchaseOrderDisplayId": "string",
119 "purchaseOrderState": "INV_DRAFT",
120 "invoiceLineItems": [
121 {
122 "id": 0,
123 "displayId": "string",
124 "expenseCategory": {
125 "id": 0,
126 "displayId": "string",
127 "status": "CREATED",
128 "name": "string",
129 "expenseCategoryType": "PAYMENT"
130 },
131 "description": "string",
132 "unitOfMeasure": {
133 "id": 0,
134 "displayId": "string",
135 "status": "CREATED",
136 "name": "string",
137 "erpSystemId": 0
138 },
139 "quantity": 0,
140 "unitPrice": 0,
141 "taxJurisdiction": {
142 "id": 0,
143 "displayId": "string",
144 "status": "CREATED",
145 "name": "string",
146 "erpSystemId": 0,
147 "schema": "string",
148 "countryDisplayId": "string"
149 },
150 "taxCode": {
151 "id": 0,
152 "displayId": "string",
153 "status": "CREATED",
154 "name": "string",
155 "erpSystemId": 0
156 },
157 "taxExpenseAccount": {
158 "id": 0,
159 "displayId": "string",
160 "generalLedgerAccountName": "string",
161 "generalLedgerAccountCode": "string",
162 "openItemManagement": true,
163 "accountCategory": "BALANCESHEET",
164 "shortName": "string",
165 "longName": "string"
166 },
167 "taxLineItems": [
168 {
169 "id": 0,
170 "taxRate": 0.1,
171 "taxAmount": 0,
172 "taxType": "string",
173 "invoiceLineItemId": 0
174 }
175 ],
176 "workBreakdownStructure": {
177 "id": 0,
178 "displayId": "string",
179 "status": "CREATED",
180 "name": "string",
181 "erpSystemId": 0
182 },
183 "costCenter": {
184 "id": 0,
185 "displayId": "string",
186 "status": "CREATED",
187 "name": "string",
188 "erpSystemId": 0
189 },
190 "profitCenter": {
191 "id": 0,
192 "displayId": "string",
193 "status": "CREATED",
194 "name": "string",
195 "validTo": "2019-08-24",
196 "erpSystemId": 0,
197 "erpSystemDisplayId": "string"
198 },
199 "functionalArea": {
200 "id": 0,
201 "displayId": "string",
202 "status": "CREATED",
203 "name": "string",
204 "erpSystemId": 0
205 },
206 "businessArea": {
207 "id": 0,
208 "displayId": "string",
209 "status": "CREATED",
210 "name": "string",
211 "erpSystemId": 0
212 },
213 "segment": {
214 "id": 0,
215 "displayId": "string",
216 "status": "CREATED",
217 "name": "string",
218 "erpSystemId": 0
219 },
220 "network": {
221 "id": 0,
222 "displayId": "string",
223 "status": "CREATED",
224 "name": "string",
225 "erpSystemId": 0
226 },
227 "internalOrderType": {
228 "id": 0,
229 "displayId": "string",
230 "status": "CREATED",
231 "name": "string",
232 "erpSystemId": 0
233 },
234 "internalOrder": {
235 "id": 0,
236 "displayId": "string",
237 "status": "CREATED",
238 "name": "string",
239 "erpSystemId": 0,
240 "internalOrderTypeId": 0
241 },
242 "additionalCurrencies": [
243 {
244 "id": 0,
245 "amount": 0,
246 "currency": {
247 "id": 0,
248 "displayId": "string",
249 "status": "CREATED",
250 "name": "string",
251 "decimalPoints": 0
252 },
253 "conversionRate": 0,
254 "conversionDate": "2019-08-24",
255 "translationDateType": "DOCUMENT_DATE",
256 "amountType": "NET_AMOUNT",
257 "currencyDefinitionType": "CONTRACT_CURRENCY",
258 "invoiceEntryId": 0,
259 "invoiceEntryDisplayId": "string"
260 }
261 ],
262 "scheduledPaymentMatches": [
263 {
264 "id": 0,
265 "fromId": 0,
266 "toId": 0,
267 "amount": 0
268 }
269 ],
270 "goodsReceiptLineItemLinks": [
271 {
272 "id": 0,
273 "fromId": 0,
274 "toId": 0,
275 "linkedQuantity": 0
276 }
277 ],
278 "invoiceId": 0,
279 "invoiceDisplayId": "string",
280 "invoiceState": "INV_DRAFT",
281 "vendorPaymentId": 0,
282 "purchaseOrderLineItemId": 0,
283 "netAmount": 0,
284 "allowsSystemGenerateNewId": true,
285 "numberRangeIdentifierValue": "string",
286 "numberRangeIdentifierType": {
287 "name": "string"
288 },
289 "numberRangeType": {
290 "name": "string"
291 }
292 }
293 ],
294 "goodsReceiptLineItems": [
295 {
296 "id": 0,
297 "displayId": "string",
298 "quantity": 0,
299 "invoicedQuantity": 0,
300 "description": "string",
301 "expenseCategory": {
302 "id": 0,
303 "displayId": "string",
304 "status": "CREATED",
305 "name": "string",
306 "expenseCategoryType": "PAYMENT"
307 },
308 "goodsReceiptId": 0,
309 "goodsReceiptDisplayId": "string",
310 "goodsReceiptState": "INV_DRAFT",
311 "purchaseOrderLineItemId": 0,
312 "invoiceLineItemLinks": [
313 {
314 "id": 0,
315 "fromId": 0,
316 "toId": 0,
317 "linkedQuantity": 0
318 }
319 ],
320 "allowsSystemGenerateNewId": true,
321 "numberRangeIdentifierValue": "string",
322 "numberRangeIdentifierType": {
323 "name": "string"
324 },
325 "numberRangeType": {
326 "name": "string"
327 }
328 }
329 ],
330 "vendorPaymentId": 0,
331 "purchaseRequisitionLineItemId": 0,
332 "purchaseRequisitionDisplayId": "string",
333 "purchaseRequisitionLineItemAvailableQuantity": 0,
334 "allowsSystemGenerateNewId": true,
335 "numberRangeIdentifierValue": "string",
336 "numberRangeIdentifierType": {
337 "name": "string"
338 },
339 "numberRangeType": {
340 "name": "string"
341 }
342 }
343 ],
344 "allowsSystemGenerateNewId": true,
345 "numberRangeIdentifierValue": "string",
346 "numberRangeIdentifierType": {
347 "name": "string"
348 },
349 "numberRangeType": {
350 "name": "string"
351 }
352 }
353 ],
354 "purchaseOrders": [
355 {
356 "id": 0,
357 "displayId": "string",
358 "state": "INV_DRAFT",
359 "issueDate": "2019-08-24",
360 "expectedDeliveryDate": "2019-08-24",
361 "name": "string",
362 "shippingAddress": "string",
363 "notes": "string",
364 "netAmount": 0,
365 "taxAmount": 0,
366 "externalPurchaseOrderDisplayId": "string",
367 "vendor": {
368 "id": 0,
369 "displayId": "string",
370 "status": "CREATED",
371 "name": "string",
372 "erpSystemDisplayId": "string"
373 },
374 "currency": {
375 "id": 0,
376 "displayId": "string",
377 "status": "CREATED",
378 "name": "string",
379 "decimalPoints": 0
380 },
381 "company": {
382 "id": 0,
383 "displayId": "string",
384 "status": "CREATED",
385 "erpSystemId": 0,
386 "erpSystemDisplayId": "string",
387 "countryId": 0,
388 "countryDisplayId": "string",
389 "name": "string",
390 "postingPeriodVariantId": 0,
391 "fiscalVariantId": 0
392 },
393 "purchaseOrderLineItems": [
394 {
395 "id": 0,
396 "displayId": "string",
397 "quantity": 0,
398 "allocatedQuantity": 0,
399 "receivedQuantity": 0,
400 "unitPrice": 0,
401 "description": "string",
402 "expenseCategory": {
403 "id": 0,
404 "displayId": "string",
405 "status": "CREATED",
406 "name": "string",
407 "expenseCategoryType": "PAYMENT"
408 },
409 "costCenter": {
410 "id": 0,
411 "displayId": "string",
412 "status": "CREATED",
413 "name": "string",
414 "erpSystemId": 0
415 },
416 "profitCenter": {
417 "id": 0,
418 "displayId": "string",
419 "status": "CREATED",
420 "name": "string",
421 "validTo": "2019-08-24",
422 "erpSystemId": 0,
423 "erpSystemDisplayId": "string"
424 },
425 "taxJurisdiction": {
426 "id": 0,
427 "displayId": "string",
428 "status": "CREATED",
429 "name": "string",
430 "erpSystemId": 0,
431 "schema": "string",
432 "countryDisplayId": "string"
433 },
434 "taxCode": {
435 "id": 0,
436 "displayId": "string",
437 "status": "CREATED",
438 "name": "string",
439 "erpSystemId": 0
440 },
441 "taxLineItems": [
442 {
443 "id": 0,
444 "taxRate": 0.1,
445 "taxAmount": 0,
446 "taxType": "string",
447 "purchaseOrderLineItemId": 0
448 }
449 ],
450 "purchaseOrderId": 0,
451 "purchaseOrderDisplayId": "string",
452 "purchaseOrderState": "INV_DRAFT",
453 "invoiceLineItems": [
454 {
455 "id": 0,
456 "displayId": "string",
457 "expenseCategory": {
458 "id": 0,
459 "displayId": "string",
460 "status": "CREATED",
461 "name": "string",
462 "expenseCategoryType": "PAYMENT"
463 },
464 "description": "string",
465 "unitOfMeasure": {
466 "id": 0,
467 "displayId": "string",
468 "status": "CREATED",
469 "name": "string",
470 "erpSystemId": 0
471 },
472 "quantity": 0,
473 "unitPrice": 0,
474 "taxJurisdiction": {
475 "id": 0,
476 "displayId": "string",
477 "status": "CREATED",
478 "name": "string",
479 "erpSystemId": 0,
480 "schema": "string",
481 "countryDisplayId": "string"
482 },
483 "taxCode": {
484 "id": 0,
485 "displayId": "string",
486 "status": "CREATED",
487 "name": "string",
488 "erpSystemId": 0
489 },
490 "taxExpenseAccount": {
491 "id": 0,
492 "displayId": "string",
493 "generalLedgerAccountName": "string",
494 "generalLedgerAccountCode": "string",
495 "openItemManagement": true,
496 "accountCategory": "BALANCESHEET",
497 "shortName": "string",
498 "longName": "string"
499 },
500 "taxLineItems": [
501 {
502 "id": 0,
503 "taxRate": 0.1,
504 "taxAmount": 0,
505 "taxType": "string",
506 "invoiceLineItemId": 0
507 }
508 ],
509 "workBreakdownStructure": {
510 "id": 0,
511 "displayId": "string",
512 "status": "CREATED",
513 "name": "string",
514 "erpSystemId": 0
515 },
516 "costCenter": {
517 "id": 0,
518 "displayId": "string",
519 "status": "CREATED",
520 "name": "string",
521 "erpSystemId": 0
522 },
523 "profitCenter": {
524 "id": 0,
525 "displayId": "string",
526 "status": "CREATED",
527 "name": "string",
528 "validTo": "2019-08-24",
529 "erpSystemId": 0,
530 "erpSystemDisplayId": "string"
531 },
532 "functionalArea": {
533 "id": 0,
534 "displayId": "string",
535 "status": "CREATED",
536 "name": "string",
537 "erpSystemId": 0
538 },
539 "businessArea": {
540 "id": 0,
541 "displayId": "string",
542 "status": "CREATED",
543 "name": "string",
544 "erpSystemId": 0
545 },
546 "segment": {
547 "id": 0,
548 "displayId": "string",
549 "status": "CREATED",
550 "name": "string",
551 "erpSystemId": 0
552 },
553 "network": {
554 "id": 0,
555 "displayId": "string",
556 "status": "CREATED",
557 "name": "string",
558 "erpSystemId": 0
559 },
560 "internalOrderType": {
561 "id": 0,
562 "displayId": "string",
563 "status": "CREATED",
564 "name": "string",
565 "erpSystemId": 0
566 },
567 "internalOrder": {
568 "id": 0,
569 "displayId": "string",
570 "status": "CREATED",
571 "name": "string",
572 "erpSystemId": 0,
573 "internalOrderTypeId": 0
574 },
575 "additionalCurrencies": [
576 {
577 "id": 0,
578 "amount": 0,
579 "currency": {
580 "id": 0,
581 "displayId": "string",
582 "status": "CREATED",
583 "name": "string",
584 "decimalPoints": 0
585 },
586 "conversionRate": 0,
587 "conversionDate": "2019-08-24",
588 "translationDateType": "DOCUMENT_DATE",
589 "amountType": "NET_AMOUNT",
590 "currencyDefinitionType": "CONTRACT_CURRENCY",
591 "invoiceEntryId": 0,
592 "invoiceEntryDisplayId": "string"
593 }
594 ],
595 "scheduledPaymentMatches": [
596 {
597 "id": 0,
598 "fromId": 0,
599 "toId": 0,
600 "amount": 0
601 }
602 ],
603 "goodsReceiptLineItemLinks": [
604 {
605 "id": 0,
606 "fromId": 0,
607 "toId": 0,
608 "linkedQuantity": 0
609 }
610 ],
611 "invoiceId": 0,
612 "invoiceDisplayId": "string",
613 "invoiceState": "INV_DRAFT",
614 "vendorPaymentId": 0,
615 "purchaseOrderLineItemId": 0,
616 "netAmount": 0,
617 "allowsSystemGenerateNewId": true,
618 "numberRangeIdentifierValue": "string",
619 "numberRangeIdentifierType": {
620 "name": "string"
621 },
622 "numberRangeType": {
623 "name": "string"
624 }
625 }
626 ],
627 "goodsReceiptLineItems": [
628 {
629 "id": 0,
630 "displayId": "string",
631 "quantity": 0,
632 "invoicedQuantity": 0,
633 "description": "string",
634 "expenseCategory": {
635 "id": 0,
636 "displayId": "string",
637 "status": "CREATED",
638 "name": "string",
639 "expenseCategoryType": "PAYMENT"
640 },
641 "goodsReceiptId": 0,
642 "goodsReceiptDisplayId": "string",
643 "goodsReceiptState": "INV_DRAFT",
644 "purchaseOrderLineItemId": 0,
645 "invoiceLineItemLinks": [
646 {
647 "id": 0,
648 "fromId": 0,
649 "toId": 0,
650 "linkedQuantity": 0
651 }
652 ],
653 "allowsSystemGenerateNewId": true,
654 "numberRangeIdentifierValue": "string",
655 "numberRangeIdentifierType": {
656 "name": "string"
657 },
658 "numberRangeType": {
659 "name": "string"
660 }
661 }
662 ],
663 "vendorPaymentId": 0,
664 "purchaseRequisitionLineItemId": 0,
665 "purchaseRequisitionDisplayId": "string",
666 "purchaseRequisitionLineItemAvailableQuantity": 0,
667 "allowsSystemGenerateNewId": true,
668 "numberRangeIdentifierValue": "string",
669 "numberRangeIdentifierType": {
670 "name": "string"
671 },
672 "numberRangeType": {
673 "name": "string"
674 }
675 }
676 ],
677 "purchaseRequisitionIds": [
678 0
679 ],
680 "purchaseRequisitionDisplayIds": [
681 "string"
682 ],
683 "invoices": [
684 {
685 "id": 0,
686 "displayId": "string",
687 "name": "string",
688 "invoiceType": "VENDOR_INV",
689 "state": "INV_DRAFT",
690 "externalDocumentNumber": "string",
691 "purchaseOrderReference": "string",
692 "invoiceDate": "2019-08-24",
693 "dueDate": "2019-08-24",
694 "notes": "string",
695 "billingPeriodFromDate": "2019-08-24",
696 "billingPeriodToDate": "2019-08-24",
697 "currency": {
698 "id": 0,
699 "displayId": "string",
700 "status": "CREATED",
701 "name": "string",
702 "decimalPoints": 0
703 },
704 "vendor": {
705 "id": 0,
706 "displayId": "string",
707 "status": "CREATED",
708 "name": "string",
709 "erpSystemDisplayId": "string"
710 },
711 "company": {
712 "id": 0,
713 "displayId": "string",
714 "status": "CREATED",
715 "erpSystemId": 0,
716 "erpSystemDisplayId": "string",
717 "countryId": 0,
718 "countryDisplayId": "string",
719 "name": "string",
720 "postingPeriodVariantId": 0,
721 "fiscalVariantId": 0
722 },
723 "netAmount": 0,
724 "taxAmount": 0,
725 "totalAmount": 0,
726 "netAmountBalance": 0,
727 "taxAmountBalance": 0,
728 "paymentTerm": {
729 "id": 0,
730 "displayId": "string",
731 "status": "CREATED",
732 "name": "string"
733 },
734 "paymentMethod": {
735 "id": 0,
736 "displayId": "string",
737 "status": "CREATED",
738 "name": "string",
739 "type": "string"
740 },
741 "paymentBlock": {
742 "id": 0,
743 "displayId": "string",
744 "status": "CREATED",
745 "name": "string"
746 },
747 "defaultCostCenter": {
748 "id": 0,
749 "displayId": "string",
750 "status": "CREATED",
751 "name": "string",
752 "erpSystemId": 0
753 },
754 "defaultProfitCenter": {
755 "id": 0,
756 "displayId": "string",
757 "status": "CREATED",
758 "name": "string",
759 "validTo": "2019-08-24",
760 "erpSystemId": 0,
761 "erpSystemDisplayId": "string"
762 },
763 "invoiceLineItems": [
764 {
765 "id": 0,
766 "displayId": "string",
767 "expenseCategory": {
768 "id": 0,
769 "displayId": "string",
770 "status": "CREATED",
771 "name": "string",
772 "expenseCategoryType": "PAYMENT"
773 },
774 "description": "string",
775 "unitOfMeasure": {
776 "id": 0,
777 "displayId": "string",
778 "status": "CREATED",
779 "name": "string",
780 "erpSystemId": 0
781 },
782 "quantity": 0,
783 "unitPrice": 0,
784 "taxJurisdiction": {
785 "id": 0,
786 "displayId": "string",
787 "status": "CREATED",
788 "name": "string",
789 "erpSystemId": 0,
790 "schema": "string",
791 "countryDisplayId": "string"
792 },
793 "taxCode": {
794 "id": 0,
795 "displayId": "string",
796 "status": "CREATED",
797 "name": "string",
798 "erpSystemId": 0
799 },
800 "taxExpenseAccount": {
801 "id": 0,
802 "displayId": "string",
803 "generalLedgerAccountName": "string",
804 "generalLedgerAccountCode": "string",
805 "openItemManagement": true,
806 "accountCategory": "BALANCESHEET",
807 "shortName": "string",
808 "longName": "string"
809 },
810 "taxLineItems": [
811 {
812 "id": 0,
813 "taxRate": 0.1,
814 "taxAmount": 0,
815 "taxType": "string",
816 "invoiceLineItemId": 0
817 }
818 ],
819 "workBreakdownStructure": {
820 "id": 0,
821 "displayId": "string",
822 "status": "CREATED",
823 "name": "string",
824 "erpSystemId": 0
825 },
826 "costCenter": {
827 "id": 0,
828 "displayId": "string",
829 "status": "CREATED",
830 "name": "string",
831 "erpSystemId": 0
832 },
833 "profitCenter": {
834 "id": 0,
835 "displayId": "string",
836 "status": "CREATED",
837 "name": "string",
838 "validTo": "2019-08-24",
839 "erpSystemId": 0,
840 "erpSystemDisplayId": "string"
841 },
842 "functionalArea": {
843 "id": 0,
844 "displayId": "string",
845 "status": "CREATED",
846 "name": "string",
847 "erpSystemId": 0
848 },
849 "businessArea": {
850 "id": 0,
851 "displayId": "string",
852 "status": "CREATED",
853 "name": "string",
854 "erpSystemId": 0
855 },
856 "segment": {
857 "id": 0,
858 "displayId": "string",
859 "status": "CREATED",
860 "name": "string",
861 "erpSystemId": 0
862 },
863 "network": {
864 "id": 0,
865 "displayId": "string",
866 "status": "CREATED",
867 "name": "string",
868 "erpSystemId": 0
869 },
870 "internalOrderType": {
871 "id": 0,
872 "displayId": "string",
873 "status": "CREATED",
874 "name": "string",
875 "erpSystemId": 0
876 },
877 "internalOrder": {
878 "id": 0,
879 "displayId": "string",
880 "status": "CREATED",
881 "name": "string",
882 "erpSystemId": 0,
883 "internalOrderTypeId": 0
884 },
885 "additionalCurrencies": [
886 {
887 "id": 0,
888 "amount": 0,
889 "currency": {
890 "id": 0,
891 "displayId": "string",
892 "status": "CREATED",
893 "name": "string",
894 "decimalPoints": 0
895 },
896 "conversionRate": 0,
897 "conversionDate": "2019-08-24",
898 "translationDateType": "DOCUMENT_DATE",
899 "amountType": "NET_AMOUNT",
900 "currencyDefinitionType": "CONTRACT_CURRENCY",
901 "invoiceEntryId": 0,
902 "invoiceEntryDisplayId": "string"
903 }
904 ],
905 "scheduledPaymentMatches": [
906 {
907 "id": 0,
908 "fromId": 0,
909 "toId": 0,
910 "amount": 0
911 }
912 ],
913 "goodsReceiptLineItemLinks": [
914 {
915 "id": 0,
916 "fromId": 0,
917 "toId": 0,
918 "linkedQuantity": 0
919 }
920 ],
921 "invoiceId": 0,
922 "invoiceDisplayId": "string",
923 "invoiceState": "INV_DRAFT",
924 "vendorPaymentId": 0,
925 "purchaseOrderLineItemId": 0,
926 "netAmount": 0,
927 "allowsSystemGenerateNewId": true,
928 "numberRangeIdentifierValue": "string",
929 "numberRangeIdentifierType": {
930 "name": "string"
931 },
932 "numberRangeType": {
933 "name": "string"
934 }
935 }
936 ],
937 "workspaceId": 0,
938 "workspaceDisplayId": "string",
939 "workspaceName": "string",
940 "workspaceState": "INV_DRAFT",
941 "remainingNetAmount": 0,
942 "remainingTaxAmount": 0,
943 "remainingTotalAmount": 0,
944 "pendingPaymentCount": 0,
945 "allPaymentsPosted": true,
946 "approvalInfo": {
947 "approverUsername": "string",
948 "approvedAt": "2019-08-24T14:15:22Z"
949 },
950 "rejectionReason": "string",
951 "allowsSystemGenerateNewId": true,
952 "numberRangeIdentifierValue": "string",
953 "numberRangeIdentifierType": {
954 "name": "string"
955 },
956 "numberRangeType": {
957 "name": "string"
958 }
959 }
960 ],
961 "rejectionReason": "string",
962 "allowsSystemGenerateNewId": true,
963 "numberRangeIdentifierValue": "string",
964 "numberRangeIdentifierType": {
965 "name": "string"
966 },
967 "numberRangeType": {
968 "name": "string"
969 }
970 }
971 ],
972 "approvalInfo": {
973 "approverUsername": "string",
974 "approvedAt": "2019-08-24T14:15:22Z"
975 },
976 "rejectionReason": "string",
977 "allowsSystemGenerateNewId": true,
978 "numberRangeIdentifierValue": "string",
979 "numberRangeIdentifierType": {
980 "name": "string"
981 },
982 "numberRangeType": {
983 "name": "string"
984 }
985}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "shippingAddress": "string",
18 "state": "INV_DRAFT",
19 "notes": "string",
20 "currency": {
21 "id": 0,
22 "displayId": "string",
23 "status": "CREATED",
24 "name": "string",
25 "decimalPoints": 0
26 },
27 "company": {
28 "id": 0,
29 "displayId": "string",
30 "status": "CREATED",
31 "erpSystemId": 0,
32 "erpSystemDisplayId": "string",
33 "countryId": 0,
34 "countryDisplayId": "string",
35 "name": "string",
36 "postingPeriodVariantId": 0,
37 "fiscalVariantId": 0
38 },
39 "totalAmount": 0,
40 "purchaseRequisitionItems": [
41 {
42 "id": 0,
43 "displayId": "string",
44 "quantity": 0,
45 "allocatedQuantity": 0,
46 "unitPrice": 0,
47 "description": "string",
48 "expenseCategory": {
49 "id": 0,
50 "displayId": "string",
51 "status": "CREATED",
52 "name": "string",
53 "expenseCategoryType": "PAYMENT"
54 },
55 "costCenter": {
56 "id": 0,
57 "displayId": "string",
58 "status": "CREATED",
59 "name": "string",
60 "erpSystemId": 0
61 },
62 "profitCenter": {
63 "id": 0,
64 "displayId": "string",
65 "status": "CREATED",
66 "name": "string",
67 "validTo": "2019-08-24",
68 "erpSystemId": 0,
69 "erpSystemDisplayId": "string"
70 },
71 "purchaseRequisitionId": 0,
72 "purchaseRequisitionDisplayId": "string",
73 "purchaseOrderLineItems": [
74 {
75 "id": 0,
76 "displayId": "string",
77 "quantity": 0,
78 "allocatedQuantity": 0,
79 "receivedQuantity": 0,
80 "unitPrice": 0,
81 "description": "string",
82 "expenseCategory": {
83 "id": 0,
84 "displayId": "string",
85 "status": "CREATED",
86 "name": "string",
87 "expenseCategoryType": "PAYMENT"
88 },
89 "costCenter": {
90 "id": 0,
91 "displayId": "string",
92 "status": "CREATED",
93 "name": "string",
94 "erpSystemId": 0
95 },
96 "profitCenter": {
97 "id": 0,
98 "displayId": "string",
99 "status": "CREATED",
100 "name": "string",
101 "validTo": "2019-08-24",
102 "erpSystemId": 0,
103 "erpSystemDisplayId": "string"
104 },
105 "taxJurisdiction": {
106 "id": 0,
107 "displayId": "string",
108 "status": "CREATED",
109 "name": "string",
110 "erpSystemId": 0,
111 "schema": "string",
112 "countryDisplayId": "string"
113 },
114 "taxCode": {
115 "id": 0,
116 "displayId": "string",
117 "status": "CREATED",
118 "name": "string",
119 "erpSystemId": 0
120 },
121 "taxLineItems": [
122 {
123 "id": 0,
124 "taxRate": 0.1,
125 "taxAmount": 0,
126 "taxType": "string",
127 "purchaseOrderLineItemId": 0
128 }
129 ],
130 "purchaseOrderId": 0,
131 "purchaseOrderDisplayId": "string",
132 "purchaseOrderState": "INV_DRAFT",
133 "invoiceLineItems": [
134 {
135 "id": 0,
136 "displayId": "string",
137 "expenseCategory": {
138 "id": 0,
139 "displayId": "string",
140 "status": "CREATED",
141 "name": "string",
142 "expenseCategoryType": "PAYMENT"
143 },
144 "description": "string",
145 "unitOfMeasure": {
146 "id": 0,
147 "displayId": "string",
148 "status": "CREATED",
149 "name": "string",
150 "erpSystemId": 0
151 },
152 "quantity": 0,
153 "unitPrice": 0,
154 "taxJurisdiction": {
155 "id": 0,
156 "displayId": "string",
157 "status": "CREATED",
158 "name": "string",
159 "erpSystemId": 0,
160 "schema": "string",
161 "countryDisplayId": "string"
162 },
163 "taxCode": {
164 "id": 0,
165 "displayId": "string",
166 "status": "CREATED",
167 "name": "string",
168 "erpSystemId": 0
169 },
170 "taxExpenseAccount": {
171 "id": 0,
172 "displayId": "string",
173 "generalLedgerAccountName": "string",
174 "generalLedgerAccountCode": "string",
175 "openItemManagement": true,
176 "accountCategory": "BALANCESHEET",
177 "shortName": "string",
178 "longName": "string"
179 },
180 "taxLineItems": [
181 {
182 "id": 0,
183 "taxRate": 0.1,
184 "taxAmount": 0,
185 "taxType": "string",
186 "invoiceLineItemId": 0
187 }
188 ],
189 "workBreakdownStructure": {
190 "id": 0,
191 "displayId": "string",
192 "status": "CREATED",
193 "name": "string",
194 "erpSystemId": 0
195 },
196 "costCenter": {
197 "id": 0,
198 "displayId": "string",
199 "status": "CREATED",
200 "name": "string",
201 "erpSystemId": 0
202 },
203 "profitCenter": {
204 "id": 0,
205 "displayId": "string",
206 "status": "CREATED",
207 "name": "string",
208 "validTo": "2019-08-24",
209 "erpSystemId": 0,
210 "erpSystemDisplayId": "string"
211 },
212 "functionalArea": {
213 "id": 0,
214 "displayId": "string",
215 "status": "CREATED",
216 "name": "string",
217 "erpSystemId": 0
218 },
219 "businessArea": {
220 "id": 0,
221 "displayId": "string",
222 "status": "CREATED",
223 "name": "string",
224 "erpSystemId": 0
225 },
226 "segment": {
227 "id": 0,
228 "displayId": "string",
229 "status": "CREATED",
230 "name": "string",
231 "erpSystemId": 0
232 },
233 "network": {
234 "id": 0,
235 "displayId": "string",
236 "status": "CREATED",
237 "name": "string",
238 "erpSystemId": 0
239 },
240 "internalOrderType": {
241 "id": 0,
242 "displayId": "string",
243 "status": "CREATED",
244 "name": "string",
245 "erpSystemId": 0
246 },
247 "internalOrder": {
248 "id": 0,
249 "displayId": "string",
250 "status": "CREATED",
251 "name": "string",
252 "erpSystemId": 0,
253 "internalOrderTypeId": 0
254 },
255 "additionalCurrencies": [
256 {
257 "id": 0,
258 "amount": 0,
259 "currency": {},
260 "conversionRate": 0,
261 "conversionDate": "2019-08-24",
262 "translationDateType": "DOCUMENT_DATE",
263 "amountType": "NET_AMOUNT",
264 "currencyDefinitionType": "CONTRACT_CURRENCY",
265 "invoiceEntryId": 0,
266 "invoiceEntryDisplayId": "string"
267 }
268 ],
269 "scheduledPaymentMatches": [
270 {
271 "id": 0,
272 "fromId": 0,
273 "toId": 0,
274 "amount": 0
275 }
276 ],
277 "goodsReceiptLineItemLinks": [
278 {
279 "id": 0,
280 "fromId": 0,
281 "toId": 0,
282 "linkedQuantity": 0
283 }
284 ],
285 "invoiceId": 0,
286 "invoiceDisplayId": "string",
287 "invoiceState": "INV_DRAFT",
288 "vendorPaymentId": 0,
289 "purchaseOrderLineItemId": 0,
290 "netAmount": 0,
291 "allowsSystemGenerateNewId": true,
292 "numberRangeIdentifierValue": "string",
293 "numberRangeIdentifierType": {
294 "name": "string"
295 },
296 "numberRangeType": {
297 "name": "string"
298 }
299 }
300 ],
301 "goodsReceiptLineItems": [
302 {
303 "id": 0,
304 "displayId": "string",
305 "quantity": 0,
306 "invoicedQuantity": 0,
307 "description": "string",
308 "expenseCategory": {
309 "id": 0,
310 "displayId": "string",
311 "status": "CREATED",
312 "name": "string",
313 "expenseCategoryType": "PAYMENT"
314 },
315 "goodsReceiptId": 0,
316 "goodsReceiptDisplayId": "string",
317 "goodsReceiptState": "INV_DRAFT",
318 "purchaseOrderLineItemId": 0,
319 "invoiceLineItemLinks": [
320 {
321 "id": 0,
322 "fromId": 0,
323 "toId": 0,
324 "linkedQuantity": 0
325 }
326 ],
327 "availableQuantity": 0,
328 "allowsSystemGenerateNewId": true,
329 "numberRangeIdentifierValue": "string",
330 "numberRangeIdentifierType": {
331 "name": "string"
332 },
333 "numberRangeType": {
334 "name": "string"
335 }
336 }
337 ],
338 "vendorPaymentId": 0,
339 "purchaseRequisitionLineItemId": 0,
340 "purchaseRequisitionDisplayId": "string",
341 "purchaseRequisitionLineItemAvailableQuantity": 0,
342 "remainingQuantity": 0,
343 "availableQuantity": 0,
344 "allowsSystemGenerateNewId": true,
345 "numberRangeIdentifierValue": "string",
346 "numberRangeIdentifierType": {
347 "name": "string"
348 },
349 "numberRangeType": {
350 "name": "string"
351 }
352 }
353 ],
354 "availableQuantity": 0,
355 "allowsSystemGenerateNewId": true,
356 "numberRangeIdentifierValue": "string",
357 "numberRangeIdentifierType": {
358 "name": "string"
359 },
360 "numberRangeType": {
361 "name": "string"
362 }
363 }
364 ],
365 "purchaseOrders": [
366 {
367 "id": 0,
368 "displayId": "string",
369 "state": "INV_DRAFT",
370 "issueDate": "2019-08-24",
371 "expectedDeliveryDate": "2019-08-24",
372 "name": "string",
373 "shippingAddress": "string",
374 "notes": "string",
375 "netAmount": 0,
376 "taxAmount": 0,
377 "externalPurchaseOrderDisplayId": "string",
378 "vendor": {
379 "id": 0,
380 "displayId": "string",
381 "status": "CREATED",
382 "name": "string",
383 "erpSystemDisplayId": "string"
384 },
385 "currency": {
386 "id": 0,
387 "displayId": "string",
388 "status": "CREATED",
389 "name": "string",
390 "decimalPoints": 0
391 },
392 "company": {
393 "id": 0,
394 "displayId": "string",
395 "status": "CREATED",
396 "erpSystemId": 0,
397 "erpSystemDisplayId": "string",
398 "countryId": 0,
399 "countryDisplayId": "string",
400 "name": "string",
401 "postingPeriodVariantId": 0,
402 "fiscalVariantId": 0
403 },
404 "purchaseOrderLineItems": [
405 {
406 "id": 0,
407 "displayId": "string",
408 "quantity": 0,
409 "allocatedQuantity": 0,
410 "receivedQuantity": 0,
411 "unitPrice": 0,
412 "description": "string",
413 "expenseCategory": {
414 "id": 0,
415 "displayId": "string",
416 "status": "CREATED",
417 "name": "string",
418 "expenseCategoryType": "PAYMENT"
419 },
420 "costCenter": {
421 "id": 0,
422 "displayId": "string",
423 "status": "CREATED",
424 "name": "string",
425 "erpSystemId": 0
426 },
427 "profitCenter": {
428 "id": 0,
429 "displayId": "string",
430 "status": "CREATED",
431 "name": "string",
432 "validTo": "2019-08-24",
433 "erpSystemId": 0,
434 "erpSystemDisplayId": "string"
435 },
436 "taxJurisdiction": {
437 "id": 0,
438 "displayId": "string",
439 "status": "CREATED",
440 "name": "string",
441 "erpSystemId": 0,
442 "schema": "string",
443 "countryDisplayId": "string"
444 },
445 "taxCode": {
446 "id": 0,
447 "displayId": "string",
448 "status": "CREATED",
449 "name": "string",
450 "erpSystemId": 0
451 },
452 "taxLineItems": [
453 {
454 "id": 0,
455 "taxRate": 0.1,
456 "taxAmount": 0,
457 "taxType": "string",
458 "purchaseOrderLineItemId": 0
459 }
460 ],
461 "purchaseOrderId": 0,
462 "purchaseOrderDisplayId": "string",
463 "purchaseOrderState": "INV_DRAFT",
464 "invoiceLineItems": [
465 {
466 "id": 0,
467 "displayId": "string",
468 "expenseCategory": {
469 "id": 0,
470 "displayId": "string",
471 "status": "CREATED",
472 "name": "string",
473 "expenseCategoryType": "PAYMENT"
474 },
475 "description": "string",
476 "unitOfMeasure": {
477 "id": 0,
478 "displayId": "string",
479 "status": "CREATED",
480 "name": "string",
481 "erpSystemId": 0
482 },
483 "quantity": 0,
484 "unitPrice": 0,
485 "taxJurisdiction": {
486 "id": 0,
487 "displayId": "string",
488 "status": "CREATED",
489 "name": "string",
490 "erpSystemId": 0,
491 "schema": "string",
492 "countryDisplayId": "string"
493 },
494 "taxCode": {
495 "id": 0,
496 "displayId": "string",
497 "status": "CREATED",
498 "name": "string",
499 "erpSystemId": 0
500 },
501 "taxExpenseAccount": {
502 "id": 0,
503 "displayId": "string",
504 "generalLedgerAccountName": "string",
505 "generalLedgerAccountCode": "string",
506 "openItemManagement": true,
507 "accountCategory": "BALANCESHEET",
508 "shortName": "string",
509 "longName": "string"
510 },
511 "taxLineItems": [
512 {
513 "id": 0,
514 "taxRate": 0.1,
515 "taxAmount": 0,
516 "taxType": "string",
517 "invoiceLineItemId": 0
518 }
519 ],
520 "workBreakdownStructure": {
521 "id": 0,
522 "displayId": "string",
523 "status": "CREATED",
524 "name": "string",
525 "erpSystemId": 0
526 },
527 "costCenter": {
528 "id": 0,
529 "displayId": "string",
530 "status": "CREATED",
531 "name": "string",
532 "erpSystemId": 0
533 },
534 "profitCenter": {
535 "id": 0,
536 "displayId": "string",
537 "status": "CREATED",
538 "name": "string",
539 "validTo": "2019-08-24",
540 "erpSystemId": 0,
541 "erpSystemDisplayId": "string"
542 },
543 "functionalArea": {
544 "id": 0,
545 "displayId": "string",
546 "status": "CREATED",
547 "name": "string",
548 "erpSystemId": 0
549 },
550 "businessArea": {
551 "id": 0,
552 "displayId": "string",
553 "status": "CREATED",
554 "name": "string",
555 "erpSystemId": 0
556 },
557 "segment": {
558 "id": 0,
559 "displayId": "string",
560 "status": "CREATED",
561 "name": "string",
562 "erpSystemId": 0
563 },
564 "network": {
565 "id": 0,
566 "displayId": "string",
567 "status": "CREATED",
568 "name": "string",
569 "erpSystemId": 0
570 },
571 "internalOrderType": {
572 "id": 0,
573 "displayId": "string",
574 "status": "CREATED",
575 "name": "string",
576 "erpSystemId": 0
577 },
578 "internalOrder": {
579 "id": 0,
580 "displayId": "string",
581 "status": "CREATED",
582 "name": "string",
583 "erpSystemId": 0,
584 "internalOrderTypeId": 0
585 },
586 "additionalCurrencies": [
587 {
588 "id": 0,
589 "amount": 0,
590 "currency": {},
591 "conversionRate": 0,
592 "conversionDate": "2019-08-24",
593 "translationDateType": "DOCUMENT_DATE",
594 "amountType": "NET_AMOUNT",
595 "currencyDefinitionType": "CONTRACT_CURRENCY",
596 "invoiceEntryId": 0,
597 "invoiceEntryDisplayId": "string"
598 }
599 ],
600 "scheduledPaymentMatches": [
601 {
602 "id": 0,
603 "fromId": 0,
604 "toId": 0,
605 "amount": 0
606 }
607 ],
608 "goodsReceiptLineItemLinks": [
609 {
610 "id": 0,
611 "fromId": 0,
612 "toId": 0,
613 "linkedQuantity": 0
614 }
615 ],
616 "invoiceId": 0,
617 "invoiceDisplayId": "string",
618 "invoiceState": "INV_DRAFT",
619 "vendorPaymentId": 0,
620 "purchaseOrderLineItemId": 0,
621 "netAmount": 0,
622 "allowsSystemGenerateNewId": true,
623 "numberRangeIdentifierValue": "string",
624 "numberRangeIdentifierType": {
625 "name": "string"
626 },
627 "numberRangeType": {
628 "name": "string"
629 }
630 }
631 ],
632 "goodsReceiptLineItems": [
633 {
634 "id": 0,
635 "displayId": "string",
636 "quantity": 0,
637 "invoicedQuantity": 0,
638 "description": "string",
639 "expenseCategory": {
640 "id": 0,
641 "displayId": "string",
642 "status": "CREATED",
643 "name": "string",
644 "expenseCategoryType": "PAYMENT"
645 },
646 "goodsReceiptId": 0,
647 "goodsReceiptDisplayId": "string",
648 "goodsReceiptState": "INV_DRAFT",
649 "purchaseOrderLineItemId": 0,
650 "invoiceLineItemLinks": [
651 {
652 "id": 0,
653 "fromId": 0,
654 "toId": 0,
655 "linkedQuantity": 0
656 }
657 ],
658 "availableQuantity": 0,
659 "allowsSystemGenerateNewId": true,
660 "numberRangeIdentifierValue": "string",
661 "numberRangeIdentifierType": {
662 "name": "string"
663 },
664 "numberRangeType": {
665 "name": "string"
666 }
667 }
668 ],
669 "vendorPaymentId": 0,
670 "purchaseRequisitionLineItemId": 0,
671 "purchaseRequisitionDisplayId": "string",
672 "purchaseRequisitionLineItemAvailableQuantity": 0,
673 "remainingQuantity": 0,
674 "availableQuantity": 0,
675 "allowsSystemGenerateNewId": true,
676 "numberRangeIdentifierValue": "string",
677 "numberRangeIdentifierType": {
678 "name": "string"
679 },
680 "numberRangeType": {
681 "name": "string"
682 }
683 }
684 ],
685 "purchaseRequisitionIds": [
686 0
687 ],
688 "purchaseRequisitionDisplayIds": [
689 "string"
690 ],
691 "invoices": [
692 {
693 "id": 0,
694 "displayId": "string",
695 "name": "string",
696 "invoiceType": "VENDOR_INV",
697 "state": "INV_DRAFT",
698 "externalDocumentNumber": "string",
699 "purchaseOrderReference": "string",
700 "invoiceDate": "2019-08-24",
701 "dueDate": "2019-08-24",
702 "notes": "string",
703 "billingPeriodFromDate": "2019-08-24",
704 "billingPeriodToDate": "2019-08-24",
705 "currency": {
706 "id": 0,
707 "displayId": "string",
708 "status": "CREATED",
709 "name": "string",
710 "decimalPoints": 0
711 },
712 "vendor": {
713 "id": 0,
714 "displayId": "string",
715 "status": "CREATED",
716 "name": "string",
717 "erpSystemDisplayId": "string"
718 },
719 "company": {
720 "id": 0,
721 "displayId": "string",
722 "status": "CREATED",
723 "erpSystemId": 0,
724 "erpSystemDisplayId": "string",
725 "countryId": 0,
726 "countryDisplayId": "string",
727 "name": "string",
728 "postingPeriodVariantId": 0,
729 "fiscalVariantId": 0
730 },
731 "netAmount": 0,
732 "taxAmount": 0,
733 "totalAmount": 0,
734 "netAmountBalance": 0,
735 "taxAmountBalance": 0,
736 "paymentTerm": {
737 "id": 0,
738 "displayId": "string",
739 "status": "CREATED",
740 "name": "string"
741 },
742 "paymentMethod": {
743 "id": 0,
744 "displayId": "string",
745 "status": "CREATED",
746 "name": "string",
747 "type": "string"
748 },
749 "paymentBlock": {
750 "id": 0,
751 "displayId": "string",
752 "status": "CREATED",
753 "name": "string"
754 },
755 "defaultCostCenter": {
756 "id": 0,
757 "displayId": "string",
758 "status": "CREATED",
759 "name": "string",
760 "erpSystemId": 0
761 },
762 "defaultProfitCenter": {
763 "id": 0,
764 "displayId": "string",
765 "status": "CREATED",
766 "name": "string",
767 "validTo": "2019-08-24",
768 "erpSystemId": 0,
769 "erpSystemDisplayId": "string"
770 },
771 "invoiceLineItems": [
772 {
773 "id": 0,
774 "displayId": "string",
775 "expenseCategory": {
776 "id": 0,
777 "displayId": "string",
778 "status": "CREATED",
779 "name": "string",
780 "expenseCategoryType": "PAYMENT"
781 },
782 "description": "string",
783 "unitOfMeasure": {
784 "id": 0,
785 "displayId": "string",
786 "status": "CREATED",
787 "name": "string",
788 "erpSystemId": 0
789 },
790 "quantity": 0,
791 "unitPrice": 0,
792 "taxJurisdiction": {
793 "id": 0,
794 "displayId": "string",
795 "status": "CREATED",
796 "name": "string",
797 "erpSystemId": 0,
798 "schema": "string",
799 "countryDisplayId": "string"
800 },
801 "taxCode": {
802 "id": 0,
803 "displayId": "string",
804 "status": "CREATED",
805 "name": "string",
806 "erpSystemId": 0
807 },
808 "taxExpenseAccount": {
809 "id": 0,
810 "displayId": "string",
811 "generalLedgerAccountName": "string",
812 "generalLedgerAccountCode": "string",
813 "openItemManagement": true,
814 "accountCategory": "BALANCESHEET",
815 "shortName": "string",
816 "longName": "string"
817 },
818 "taxLineItems": [
819 {
820 "id": 0,
821 "taxRate": 0.1,
822 "taxAmount": 0,
823 "taxType": "string",
824 "invoiceLineItemId": 0
825 }
826 ],
827 "workBreakdownStructure": {
828 "id": 0,
829 "displayId": "string",
830 "status": "CREATED",
831 "name": "string",
832 "erpSystemId": 0
833 },
834 "costCenter": {
835 "id": 0,
836 "displayId": "string",
837 "status": "CREATED",
838 "name": "string",
839 "erpSystemId": 0
840 },
841 "profitCenter": {
842 "id": 0,
843 "displayId": "string",
844 "status": "CREATED",
845 "name": "string",
846 "validTo": "2019-08-24",
847 "erpSystemId": 0,
848 "erpSystemDisplayId": "string"
849 },
850 "functionalArea": {
851 "id": 0,
852 "displayId": "string",
853 "status": "CREATED",
854 "name": "string",
855 "erpSystemId": 0
856 },
857 "businessArea": {
858 "id": 0,
859 "displayId": "string",
860 "status": "CREATED",
861 "name": "string",
862 "erpSystemId": 0
863 },
864 "segment": {
865 "id": 0,
866 "displayId": "string",
867 "status": "CREATED",
868 "name": "string",
869 "erpSystemId": 0
870 },
871 "network": {
872 "id": 0,
873 "displayId": "string",
874 "status": "CREATED",
875 "name": "string",
876 "erpSystemId": 0
877 },
878 "internalOrderType": {
879 "id": 0,
880 "displayId": "string",
881 "status": "CREATED",
882 "name": "string",
883 "erpSystemId": 0
884 },
885 "internalOrder": {
886 "id": 0,
887 "displayId": "string",
888 "status": "CREATED",
889 "name": "string",
890 "erpSystemId": 0,
891 "internalOrderTypeId": 0
892 },
893 "additionalCurrencies": [
894 {
895 "id": 0,
896 "amount": 0,
897 "currency": {},
898 "conversionRate": 0,
899 "conversionDate": "2019-08-24",
900 "translationDateType": "DOCUMENT_DATE",
901 "amountType": "NET_AMOUNT",
902 "currencyDefinitionType": "CONTRACT_CURRENCY",
903 "invoiceEntryId": 0,
904 "invoiceEntryDisplayId": "string"
905 }
906 ],
907 "scheduledPaymentMatches": [
908 {
909 "id": 0,
910 "fromId": 0,
911 "toId": 0,
912 "amount": 0
913 }
914 ],
915 "goodsReceiptLineItemLinks": [
916 {
917 "id": 0,
918 "fromId": 0,
919 "toId": 0,
920 "linkedQuantity": 0
921 }
922 ],
923 "invoiceId": 0,
924 "invoiceDisplayId": "string",
925 "invoiceState": "INV_DRAFT",
926 "vendorPaymentId": 0,
927 "purchaseOrderLineItemId": 0,
928 "netAmount": 0,
929 "allowsSystemGenerateNewId": true,
930 "numberRangeIdentifierValue": "string",
931 "numberRangeIdentifierType": {
932 "name": "string"
933 },
934 "numberRangeType": {
935 "name": "string"
936 }
937 }
938 ],
939 "workspaceId": 0,
940 "workspaceDisplayId": "string",
941 "workspaceName": "string",
942 "workspaceState": "INV_DRAFT",
943 "remainingNetAmount": 0,
944 "remainingTaxAmount": 0,
945 "remainingTotalAmount": 0,
946 "pendingPaymentCount": 0,
947 "allPaymentsPosted": true,
948 "approvalInfo": {
949 "approverUsername": "string",
950 "approvedAt": "2019-08-24T14:15:22Z"
951 },
952 "rejectionReason": "string",
953 "allowsSystemGenerateNewId": true,
954 "numberRangeIdentifierValue": "string",
955 "numberRangeIdentifierType": {
956 "name": "string"
957 },
958 "numberRangeType": {
959 "name": "string"
960 }
961 }
962 ],
963 "rejectionReason": "string",
964 "allowsSystemGenerateNewId": true,
965 "numberRangeIdentifierValue": "string",
966 "numberRangeIdentifierType": {
967 "name": "string"
968 },
969 "numberRangeType": {
970 "name": "string"
971 }
972 }
973 ],
974 "approvalInfo": {
975 "approverUsername": "string",
976 "approvedAt": "2019-08-24T14:15:22Z"
977 },
978 "rejectionReason": "string",
979 "allowsSystemGenerateNewId": true,
980 "numberRangeIdentifierValue": "string",
981 "numberRangeIdentifierType": {
982 "name": "string"
983 },
984 "numberRangeType": {
985 "name": "string"
986 }
987 }
988}
Delete A Single Resource¶
HTTP Request
DELETE /api/v1/purchase-requisition/{id}
📋 Description: Permanently deletes the resource with the given ID.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {}
15}
Partially Update A Resource (Json Patch)¶
HTTP Request
PATCH /api/v1/purchase-requisition/{id}
📋 Description: Applies a JSON Patch (RFC 6902) document to the resource with the given ID. Only the fields specified in the patch are modified; all other fields remain unchanged.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated purchase requisition details, including item specifications, quantities, and approval status. |
Body Parameters
1{}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "shippingAddress": "string",
18 "state": "INV_DRAFT",
19 "notes": "string",
20 "currency": {
21 "id": 0,
22 "displayId": "string",
23 "status": "CREATED",
24 "name": "string",
25 "decimalPoints": 0
26 },
27 "company": {
28 "id": 0,
29 "displayId": "string",
30 "status": "CREATED",
31 "erpSystemId": 0,
32 "erpSystemDisplayId": "string",
33 "countryId": 0,
34 "countryDisplayId": "string",
35 "name": "string",
36 "postingPeriodVariantId": 0,
37 "fiscalVariantId": 0
38 },
39 "totalAmount": 0,
40 "purchaseRequisitionItems": [
41 {
42 "id": 0,
43 "displayId": "string",
44 "quantity": 0,
45 "allocatedQuantity": 0,
46 "unitPrice": 0,
47 "description": "string",
48 "expenseCategory": {
49 "id": 0,
50 "displayId": "string",
51 "status": "CREATED",
52 "name": "string",
53 "expenseCategoryType": "PAYMENT"
54 },
55 "costCenter": {
56 "id": 0,
57 "displayId": "string",
58 "status": "CREATED",
59 "name": "string",
60 "erpSystemId": 0
61 },
62 "profitCenter": {
63 "id": 0,
64 "displayId": "string",
65 "status": "CREATED",
66 "name": "string",
67 "validTo": "2019-08-24",
68 "erpSystemId": 0,
69 "erpSystemDisplayId": "string"
70 },
71 "purchaseRequisitionId": 0,
72 "purchaseRequisitionDisplayId": "string",
73 "purchaseOrderLineItems": [
74 {
75 "id": 0,
76 "displayId": "string",
77 "quantity": 0,
78 "allocatedQuantity": 0,
79 "receivedQuantity": 0,
80 "unitPrice": 0,
81 "description": "string",
82 "expenseCategory": {
83 "id": 0,
84 "displayId": "string",
85 "status": "CREATED",
86 "name": "string",
87 "expenseCategoryType": "PAYMENT"
88 },
89 "costCenter": {
90 "id": 0,
91 "displayId": "string",
92 "status": "CREATED",
93 "name": "string",
94 "erpSystemId": 0
95 },
96 "profitCenter": {
97 "id": 0,
98 "displayId": "string",
99 "status": "CREATED",
100 "name": "string",
101 "validTo": "2019-08-24",
102 "erpSystemId": 0,
103 "erpSystemDisplayId": "string"
104 },
105 "taxJurisdiction": {
106 "id": 0,
107 "displayId": "string",
108 "status": "CREATED",
109 "name": "string",
110 "erpSystemId": 0,
111 "schema": "string",
112 "countryDisplayId": "string"
113 },
114 "taxCode": {
115 "id": 0,
116 "displayId": "string",
117 "status": "CREATED",
118 "name": "string",
119 "erpSystemId": 0
120 },
121 "taxLineItems": [
122 {
123 "id": 0,
124 "taxRate": 0.1,
125 "taxAmount": 0,
126 "taxType": "string",
127 "purchaseOrderLineItemId": 0
128 }
129 ],
130 "purchaseOrderId": 0,
131 "purchaseOrderDisplayId": "string",
132 "purchaseOrderState": "INV_DRAFT",
133 "invoiceLineItems": [
134 {
135 "id": 0,
136 "displayId": "string",
137 "expenseCategory": {
138 "id": 0,
139 "displayId": "string",
140 "status": "CREATED",
141 "name": "string",
142 "expenseCategoryType": "PAYMENT"
143 },
144 "description": "string",
145 "unitOfMeasure": {
146 "id": 0,
147 "displayId": "string",
148 "status": "CREATED",
149 "name": "string",
150 "erpSystemId": 0
151 },
152 "quantity": 0,
153 "unitPrice": 0,
154 "taxJurisdiction": {
155 "id": 0,
156 "displayId": "string",
157 "status": "CREATED",
158 "name": "string",
159 "erpSystemId": 0,
160 "schema": "string",
161 "countryDisplayId": "string"
162 },
163 "taxCode": {
164 "id": 0,
165 "displayId": "string",
166 "status": "CREATED",
167 "name": "string",
168 "erpSystemId": 0
169 },
170 "taxExpenseAccount": {
171 "id": 0,
172 "displayId": "string",
173 "generalLedgerAccountName": "string",
174 "generalLedgerAccountCode": "string",
175 "openItemManagement": true,
176 "accountCategory": "BALANCESHEET",
177 "shortName": "string",
178 "longName": "string"
179 },
180 "taxLineItems": [
181 {
182 "id": 0,
183 "taxRate": 0.1,
184 "taxAmount": 0,
185 "taxType": "string",
186 "invoiceLineItemId": 0
187 }
188 ],
189 "workBreakdownStructure": {
190 "id": 0,
191 "displayId": "string",
192 "status": "CREATED",
193 "name": "string",
194 "erpSystemId": 0
195 },
196 "costCenter": {
197 "id": 0,
198 "displayId": "string",
199 "status": "CREATED",
200 "name": "string",
201 "erpSystemId": 0
202 },
203 "profitCenter": {
204 "id": 0,
205 "displayId": "string",
206 "status": "CREATED",
207 "name": "string",
208 "validTo": "2019-08-24",
209 "erpSystemId": 0,
210 "erpSystemDisplayId": "string"
211 },
212 "functionalArea": {
213 "id": 0,
214 "displayId": "string",
215 "status": "CREATED",
216 "name": "string",
217 "erpSystemId": 0
218 },
219 "businessArea": {
220 "id": 0,
221 "displayId": "string",
222 "status": "CREATED",
223 "name": "string",
224 "erpSystemId": 0
225 },
226 "segment": {
227 "id": 0,
228 "displayId": "string",
229 "status": "CREATED",
230 "name": "string",
231 "erpSystemId": 0
232 },
233 "network": {
234 "id": 0,
235 "displayId": "string",
236 "status": "CREATED",
237 "name": "string",
238 "erpSystemId": 0
239 },
240 "internalOrderType": {
241 "id": 0,
242 "displayId": "string",
243 "status": "CREATED",
244 "name": "string",
245 "erpSystemId": 0
246 },
247 "internalOrder": {
248 "id": 0,
249 "displayId": "string",
250 "status": "CREATED",
251 "name": "string",
252 "erpSystemId": 0,
253 "internalOrderTypeId": 0
254 },
255 "additionalCurrencies": [
256 {
257 "id": 0,
258 "amount": 0,
259 "currency": {},
260 "conversionRate": 0,
261 "conversionDate": "2019-08-24",
262 "translationDateType": "DOCUMENT_DATE",
263 "amountType": "NET_AMOUNT",
264 "currencyDefinitionType": "CONTRACT_CURRENCY",
265 "invoiceEntryId": 0,
266 "invoiceEntryDisplayId": "string"
267 }
268 ],
269 "scheduledPaymentMatches": [
270 {
271 "id": 0,
272 "fromId": 0,
273 "toId": 0,
274 "amount": 0
275 }
276 ],
277 "goodsReceiptLineItemLinks": [
278 {
279 "id": 0,
280 "fromId": 0,
281 "toId": 0,
282 "linkedQuantity": 0
283 }
284 ],
285 "invoiceId": 0,
286 "invoiceDisplayId": "string",
287 "invoiceState": "INV_DRAFT",
288 "vendorPaymentId": 0,
289 "purchaseOrderLineItemId": 0,
290 "netAmount": 0,
291 "allowsSystemGenerateNewId": true,
292 "numberRangeIdentifierValue": "string",
293 "numberRangeIdentifierType": {
294 "name": "string"
295 },
296 "numberRangeType": {
297 "name": "string"
298 }
299 }
300 ],
301 "goodsReceiptLineItems": [
302 {
303 "id": 0,
304 "displayId": "string",
305 "quantity": 0,
306 "invoicedQuantity": 0,
307 "description": "string",
308 "expenseCategory": {
309 "id": 0,
310 "displayId": "string",
311 "status": "CREATED",
312 "name": "string",
313 "expenseCategoryType": "PAYMENT"
314 },
315 "goodsReceiptId": 0,
316 "goodsReceiptDisplayId": "string",
317 "goodsReceiptState": "INV_DRAFT",
318 "purchaseOrderLineItemId": 0,
319 "invoiceLineItemLinks": [
320 {
321 "id": 0,
322 "fromId": 0,
323 "toId": 0,
324 "linkedQuantity": 0
325 }
326 ],
327 "availableQuantity": 0,
328 "allowsSystemGenerateNewId": true,
329 "numberRangeIdentifierValue": "string",
330 "numberRangeIdentifierType": {
331 "name": "string"
332 },
333 "numberRangeType": {
334 "name": "string"
335 }
336 }
337 ],
338 "vendorPaymentId": 0,
339 "purchaseRequisitionLineItemId": 0,
340 "purchaseRequisitionDisplayId": "string",
341 "purchaseRequisitionLineItemAvailableQuantity": 0,
342 "remainingQuantity": 0,
343 "availableQuantity": 0,
344 "allowsSystemGenerateNewId": true,
345 "numberRangeIdentifierValue": "string",
346 "numberRangeIdentifierType": {
347 "name": "string"
348 },
349 "numberRangeType": {
350 "name": "string"
351 }
352 }
353 ],
354 "availableQuantity": 0,
355 "allowsSystemGenerateNewId": true,
356 "numberRangeIdentifierValue": "string",
357 "numberRangeIdentifierType": {
358 "name": "string"
359 },
360 "numberRangeType": {
361 "name": "string"
362 }
363 }
364 ],
365 "purchaseOrders": [
366 {
367 "id": 0,
368 "displayId": "string",
369 "state": "INV_DRAFT",
370 "issueDate": "2019-08-24",
371 "expectedDeliveryDate": "2019-08-24",
372 "name": "string",
373 "shippingAddress": "string",
374 "notes": "string",
375 "netAmount": 0,
376 "taxAmount": 0,
377 "externalPurchaseOrderDisplayId": "string",
378 "vendor": {
379 "id": 0,
380 "displayId": "string",
381 "status": "CREATED",
382 "name": "string",
383 "erpSystemDisplayId": "string"
384 },
385 "currency": {
386 "id": 0,
387 "displayId": "string",
388 "status": "CREATED",
389 "name": "string",
390 "decimalPoints": 0
391 },
392 "company": {
393 "id": 0,
394 "displayId": "string",
395 "status": "CREATED",
396 "erpSystemId": 0,
397 "erpSystemDisplayId": "string",
398 "countryId": 0,
399 "countryDisplayId": "string",
400 "name": "string",
401 "postingPeriodVariantId": 0,
402 "fiscalVariantId": 0
403 },
404 "purchaseOrderLineItems": [
405 {
406 "id": 0,
407 "displayId": "string",
408 "quantity": 0,
409 "allocatedQuantity": 0,
410 "receivedQuantity": 0,
411 "unitPrice": 0,
412 "description": "string",
413 "expenseCategory": {
414 "id": 0,
415 "displayId": "string",
416 "status": "CREATED",
417 "name": "string",
418 "expenseCategoryType": "PAYMENT"
419 },
420 "costCenter": {
421 "id": 0,
422 "displayId": "string",
423 "status": "CREATED",
424 "name": "string",
425 "erpSystemId": 0
426 },
427 "profitCenter": {
428 "id": 0,
429 "displayId": "string",
430 "status": "CREATED",
431 "name": "string",
432 "validTo": "2019-08-24",
433 "erpSystemId": 0,
434 "erpSystemDisplayId": "string"
435 },
436 "taxJurisdiction": {
437 "id": 0,
438 "displayId": "string",
439 "status": "CREATED",
440 "name": "string",
441 "erpSystemId": 0,
442 "schema": "string",
443 "countryDisplayId": "string"
444 },
445 "taxCode": {
446 "id": 0,
447 "displayId": "string",
448 "status": "CREATED",
449 "name": "string",
450 "erpSystemId": 0
451 },
452 "taxLineItems": [
453 {
454 "id": 0,
455 "taxRate": 0.1,
456 "taxAmount": 0,
457 "taxType": "string",
458 "purchaseOrderLineItemId": 0
459 }
460 ],
461 "purchaseOrderId": 0,
462 "purchaseOrderDisplayId": "string",
463 "purchaseOrderState": "INV_DRAFT",
464 "invoiceLineItems": [
465 {
466 "id": 0,
467 "displayId": "string",
468 "expenseCategory": {
469 "id": 0,
470 "displayId": "string",
471 "status": "CREATED",
472 "name": "string",
473 "expenseCategoryType": "PAYMENT"
474 },
475 "description": "string",
476 "unitOfMeasure": {
477 "id": 0,
478 "displayId": "string",
479 "status": "CREATED",
480 "name": "string",
481 "erpSystemId": 0
482 },
483 "quantity": 0,
484 "unitPrice": 0,
485 "taxJurisdiction": {
486 "id": 0,
487 "displayId": "string",
488 "status": "CREATED",
489 "name": "string",
490 "erpSystemId": 0,
491 "schema": "string",
492 "countryDisplayId": "string"
493 },
494 "taxCode": {
495 "id": 0,
496 "displayId": "string",
497 "status": "CREATED",
498 "name": "string",
499 "erpSystemId": 0
500 },
501 "taxExpenseAccount": {
502 "id": 0,
503 "displayId": "string",
504 "generalLedgerAccountName": "string",
505 "generalLedgerAccountCode": "string",
506 "openItemManagement": true,
507 "accountCategory": "BALANCESHEET",
508 "shortName": "string",
509 "longName": "string"
510 },
511 "taxLineItems": [
512 {
513 "id": 0,
514 "taxRate": 0.1,
515 "taxAmount": 0,
516 "taxType": "string",
517 "invoiceLineItemId": 0
518 }
519 ],
520 "workBreakdownStructure": {
521 "id": 0,
522 "displayId": "string",
523 "status": "CREATED",
524 "name": "string",
525 "erpSystemId": 0
526 },
527 "costCenter": {
528 "id": 0,
529 "displayId": "string",
530 "status": "CREATED",
531 "name": "string",
532 "erpSystemId": 0
533 },
534 "profitCenter": {
535 "id": 0,
536 "displayId": "string",
537 "status": "CREATED",
538 "name": "string",
539 "validTo": "2019-08-24",
540 "erpSystemId": 0,
541 "erpSystemDisplayId": "string"
542 },
543 "functionalArea": {
544 "id": 0,
545 "displayId": "string",
546 "status": "CREATED",
547 "name": "string",
548 "erpSystemId": 0
549 },
550 "businessArea": {
551 "id": 0,
552 "displayId": "string",
553 "status": "CREATED",
554 "name": "string",
555 "erpSystemId": 0
556 },
557 "segment": {
558 "id": 0,
559 "displayId": "string",
560 "status": "CREATED",
561 "name": "string",
562 "erpSystemId": 0
563 },
564 "network": {
565 "id": 0,
566 "displayId": "string",
567 "status": "CREATED",
568 "name": "string",
569 "erpSystemId": 0
570 },
571 "internalOrderType": {
572 "id": 0,
573 "displayId": "string",
574 "status": "CREATED",
575 "name": "string",
576 "erpSystemId": 0
577 },
578 "internalOrder": {
579 "id": 0,
580 "displayId": "string",
581 "status": "CREATED",
582 "name": "string",
583 "erpSystemId": 0,
584 "internalOrderTypeId": 0
585 },
586 "additionalCurrencies": [
587 {
588 "id": 0,
589 "amount": 0,
590 "currency": {},
591 "conversionRate": 0,
592 "conversionDate": "2019-08-24",
593 "translationDateType": "DOCUMENT_DATE",
594 "amountType": "NET_AMOUNT",
595 "currencyDefinitionType": "CONTRACT_CURRENCY",
596 "invoiceEntryId": 0,
597 "invoiceEntryDisplayId": "string"
598 }
599 ],
600 "scheduledPaymentMatches": [
601 {
602 "id": 0,
603 "fromId": 0,
604 "toId": 0,
605 "amount": 0
606 }
607 ],
608 "goodsReceiptLineItemLinks": [
609 {
610 "id": 0,
611 "fromId": 0,
612 "toId": 0,
613 "linkedQuantity": 0
614 }
615 ],
616 "invoiceId": 0,
617 "invoiceDisplayId": "string",
618 "invoiceState": "INV_DRAFT",
619 "vendorPaymentId": 0,
620 "purchaseOrderLineItemId": 0,
621 "netAmount": 0,
622 "allowsSystemGenerateNewId": true,
623 "numberRangeIdentifierValue": "string",
624 "numberRangeIdentifierType": {
625 "name": "string"
626 },
627 "numberRangeType": {
628 "name": "string"
629 }
630 }
631 ],
632 "goodsReceiptLineItems": [
633 {
634 "id": 0,
635 "displayId": "string",
636 "quantity": 0,
637 "invoicedQuantity": 0,
638 "description": "string",
639 "expenseCategory": {
640 "id": 0,
641 "displayId": "string",
642 "status": "CREATED",
643 "name": "string",
644 "expenseCategoryType": "PAYMENT"
645 },
646 "goodsReceiptId": 0,
647 "goodsReceiptDisplayId": "string",
648 "goodsReceiptState": "INV_DRAFT",
649 "purchaseOrderLineItemId": 0,
650 "invoiceLineItemLinks": [
651 {
652 "id": 0,
653 "fromId": 0,
654 "toId": 0,
655 "linkedQuantity": 0
656 }
657 ],
658 "availableQuantity": 0,
659 "allowsSystemGenerateNewId": true,
660 "numberRangeIdentifierValue": "string",
661 "numberRangeIdentifierType": {
662 "name": "string"
663 },
664 "numberRangeType": {
665 "name": "string"
666 }
667 }
668 ],
669 "vendorPaymentId": 0,
670 "purchaseRequisitionLineItemId": 0,
671 "purchaseRequisitionDisplayId": "string",
672 "purchaseRequisitionLineItemAvailableQuantity": 0,
673 "remainingQuantity": 0,
674 "availableQuantity": 0,
675 "allowsSystemGenerateNewId": true,
676 "numberRangeIdentifierValue": "string",
677 "numberRangeIdentifierType": {
678 "name": "string"
679 },
680 "numberRangeType": {
681 "name": "string"
682 }
683 }
684 ],
685 "purchaseRequisitionIds": [
686 0
687 ],
688 "purchaseRequisitionDisplayIds": [
689 "string"
690 ],
691 "invoices": [
692 {
693 "id": 0,
694 "displayId": "string",
695 "name": "string",
696 "invoiceType": "VENDOR_INV",
697 "state": "INV_DRAFT",
698 "externalDocumentNumber": "string",
699 "purchaseOrderReference": "string",
700 "invoiceDate": "2019-08-24",
701 "dueDate": "2019-08-24",
702 "notes": "string",
703 "billingPeriodFromDate": "2019-08-24",
704 "billingPeriodToDate": "2019-08-24",
705 "currency": {
706 "id": 0,
707 "displayId": "string",
708 "status": "CREATED",
709 "name": "string",
710 "decimalPoints": 0
711 },
712 "vendor": {
713 "id": 0,
714 "displayId": "string",
715 "status": "CREATED",
716 "name": "string",
717 "erpSystemDisplayId": "string"
718 },
719 "company": {
720 "id": 0,
721 "displayId": "string",
722 "status": "CREATED",
723 "erpSystemId": 0,
724 "erpSystemDisplayId": "string",
725 "countryId": 0,
726 "countryDisplayId": "string",
727 "name": "string",
728 "postingPeriodVariantId": 0,
729 "fiscalVariantId": 0
730 },
731 "netAmount": 0,
732 "taxAmount": 0,
733 "totalAmount": 0,
734 "netAmountBalance": 0,
735 "taxAmountBalance": 0,
736 "paymentTerm": {
737 "id": 0,
738 "displayId": "string",
739 "status": "CREATED",
740 "name": "string"
741 },
742 "paymentMethod": {
743 "id": 0,
744 "displayId": "string",
745 "status": "CREATED",
746 "name": "string",
747 "type": "string"
748 },
749 "paymentBlock": {
750 "id": 0,
751 "displayId": "string",
752 "status": "CREATED",
753 "name": "string"
754 },
755 "defaultCostCenter": {
756 "id": 0,
757 "displayId": "string",
758 "status": "CREATED",
759 "name": "string",
760 "erpSystemId": 0
761 },
762 "defaultProfitCenter": {
763 "id": 0,
764 "displayId": "string",
765 "status": "CREATED",
766 "name": "string",
767 "validTo": "2019-08-24",
768 "erpSystemId": 0,
769 "erpSystemDisplayId": "string"
770 },
771 "invoiceLineItems": [
772 {
773 "id": 0,
774 "displayId": "string",
775 "expenseCategory": {
776 "id": 0,
777 "displayId": "string",
778 "status": "CREATED",
779 "name": "string",
780 "expenseCategoryType": "PAYMENT"
781 },
782 "description": "string",
783 "unitOfMeasure": {
784 "id": 0,
785 "displayId": "string",
786 "status": "CREATED",
787 "name": "string",
788 "erpSystemId": 0
789 },
790 "quantity": 0,
791 "unitPrice": 0,
792 "taxJurisdiction": {
793 "id": 0,
794 "displayId": "string",
795 "status": "CREATED",
796 "name": "string",
797 "erpSystemId": 0,
798 "schema": "string",
799 "countryDisplayId": "string"
800 },
801 "taxCode": {
802 "id": 0,
803 "displayId": "string",
804 "status": "CREATED",
805 "name": "string",
806 "erpSystemId": 0
807 },
808 "taxExpenseAccount": {
809 "id": 0,
810 "displayId": "string",
811 "generalLedgerAccountName": "string",
812 "generalLedgerAccountCode": "string",
813 "openItemManagement": true,
814 "accountCategory": "BALANCESHEET",
815 "shortName": "string",
816 "longName": "string"
817 },
818 "taxLineItems": [
819 {
820 "id": 0,
821 "taxRate": 0.1,
822 "taxAmount": 0,
823 "taxType": "string",
824 "invoiceLineItemId": 0
825 }
826 ],
827 "workBreakdownStructure": {
828 "id": 0,
829 "displayId": "string",
830 "status": "CREATED",
831 "name": "string",
832 "erpSystemId": 0
833 },
834 "costCenter": {
835 "id": 0,
836 "displayId": "string",
837 "status": "CREATED",
838 "name": "string",
839 "erpSystemId": 0
840 },
841 "profitCenter": {
842 "id": 0,
843 "displayId": "string",
844 "status": "CREATED",
845 "name": "string",
846 "validTo": "2019-08-24",
847 "erpSystemId": 0,
848 "erpSystemDisplayId": "string"
849 },
850 "functionalArea": {
851 "id": 0,
852 "displayId": "string",
853 "status": "CREATED",
854 "name": "string",
855 "erpSystemId": 0
856 },
857 "businessArea": {
858 "id": 0,
859 "displayId": "string",
860 "status": "CREATED",
861 "name": "string",
862 "erpSystemId": 0
863 },
864 "segment": {
865 "id": 0,
866 "displayId": "string",
867 "status": "CREATED",
868 "name": "string",
869 "erpSystemId": 0
870 },
871 "network": {
872 "id": 0,
873 "displayId": "string",
874 "status": "CREATED",
875 "name": "string",
876 "erpSystemId": 0
877 },
878 "internalOrderType": {
879 "id": 0,
880 "displayId": "string",
881 "status": "CREATED",
882 "name": "string",
883 "erpSystemId": 0
884 },
885 "internalOrder": {
886 "id": 0,
887 "displayId": "string",
888 "status": "CREATED",
889 "name": "string",
890 "erpSystemId": 0,
891 "internalOrderTypeId": 0
892 },
893 "additionalCurrencies": [
894 {
895 "id": 0,
896 "amount": 0,
897 "currency": {},
898 "conversionRate": 0,
899 "conversionDate": "2019-08-24",
900 "translationDateType": "DOCUMENT_DATE",
901 "amountType": "NET_AMOUNT",
902 "currencyDefinitionType": "CONTRACT_CURRENCY",
903 "invoiceEntryId": 0,
904 "invoiceEntryDisplayId": "string"
905 }
906 ],
907 "scheduledPaymentMatches": [
908 {
909 "id": 0,
910 "fromId": 0,
911 "toId": 0,
912 "amount": 0
913 }
914 ],
915 "goodsReceiptLineItemLinks": [
916 {
917 "id": 0,
918 "fromId": 0,
919 "toId": 0,
920 "linkedQuantity": 0
921 }
922 ],
923 "invoiceId": 0,
924 "invoiceDisplayId": "string",
925 "invoiceState": "INV_DRAFT",
926 "vendorPaymentId": 0,
927 "purchaseOrderLineItemId": 0,
928 "netAmount": 0,
929 "allowsSystemGenerateNewId": true,
930 "numberRangeIdentifierValue": "string",
931 "numberRangeIdentifierType": {
932 "name": "string"
933 },
934 "numberRangeType": {
935 "name": "string"
936 }
937 }
938 ],
939 "workspaceId": 0,
940 "workspaceDisplayId": "string",
941 "workspaceName": "string",
942 "workspaceState": "INV_DRAFT",
943 "remainingNetAmount": 0,
944 "remainingTaxAmount": 0,
945 "remainingTotalAmount": 0,
946 "pendingPaymentCount": 0,
947 "allPaymentsPosted": true,
948 "approvalInfo": {
949 "approverUsername": "string",
950 "approvedAt": "2019-08-24T14:15:22Z"
951 },
952 "rejectionReason": "string",
953 "allowsSystemGenerateNewId": true,
954 "numberRangeIdentifierValue": "string",
955 "numberRangeIdentifierType": {
956 "name": "string"
957 },
958 "numberRangeType": {
959 "name": "string"
960 }
961 }
962 ],
963 "rejectionReason": "string",
964 "allowsSystemGenerateNewId": true,
965 "numberRangeIdentifierValue": "string",
966 "numberRangeIdentifierType": {
967 "name": "string"
968 },
969 "numberRangeType": {
970 "name": "string"
971 }
972 }
973 ],
974 "approvalInfo": {
975 "approverUsername": "string",
976 "approvedAt": "2019-08-24T14:15:22Z"
977 },
978 "rejectionReason": "string",
979 "allowsSystemGenerateNewId": true,
980 "numberRangeIdentifierValue": "string",
981 "numberRangeIdentifierType": {
982 "name": "string"
983 },
984 "numberRangeType": {
985 "name": "string"
986 }
987 }
988}
Bulk Create-Or-Update Resources¶
HTTP Request
PUT /api/v1/purchase-requisition/createOrUpdate/bulk
📋 Description: Creates or updates multiple resources in a single request. Partial success: each item is processed independently. Items that pass validation are persisted; failed items are recorded in the response
errorslist. The response body always contains the successfully processed items alongside any per-item errors.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing an array of purchase requisition objects for bulk creation or updates, including relevant details such as item specifications, quantities, and associated metadata. |
Body Parameters
1[
2 {
3 "id": 0,
4 "displayId": "string",
5 "shippingAddress": "string",
6 "state": "INV_DRAFT",
7 "notes": "string",
8 "currency": {
9 "id": 0,
10 "displayId": "string",
11 "status": "CREATED",
12 "name": "string",
13 "decimalPoints": 0
14 },
15 "company": {
16 "id": 0,
17 "displayId": "string",
18 "status": "CREATED",
19 "erpSystemId": 0,
20 "erpSystemDisplayId": "string",
21 "countryId": 0,
22 "countryDisplayId": "string",
23 "name": "string",
24 "postingPeriodVariantId": 0,
25 "fiscalVariantId": 0
26 },
27 "totalAmount": 0,
28 "purchaseRequisitionItems": [
29 {
30 "id": 0,
31 "displayId": "string",
32 "quantity": 0,
33 "allocatedQuantity": 0,
34 "unitPrice": 0,
35 "description": "string",
36 "expenseCategory": {
37 "id": 0,
38 "displayId": "string",
39 "status": "CREATED",
40 "name": "string",
41 "expenseCategoryType": "PAYMENT"
42 },
43 "costCenter": {
44 "id": 0,
45 "displayId": "string",
46 "status": "CREATED",
47 "name": "string",
48 "erpSystemId": 0
49 },
50 "profitCenter": {
51 "id": 0,
52 "displayId": "string",
53 "status": "CREATED",
54 "name": "string",
55 "validTo": "2019-08-24",
56 "erpSystemId": 0,
57 "erpSystemDisplayId": "string"
58 },
59 "purchaseRequisitionId": 0,
60 "purchaseRequisitionDisplayId": "string",
61 "purchaseOrderLineItems": [
62 {
63 "id": 0,
64 "displayId": "string",
65 "quantity": 0,
66 "allocatedQuantity": 0,
67 "receivedQuantity": 0,
68 "unitPrice": 0,
69 "description": "string",
70 "expenseCategory": {
71 "id": 0,
72 "displayId": "string",
73 "status": "CREATED",
74 "name": "string",
75 "expenseCategoryType": "PAYMENT"
76 },
77 "costCenter": {
78 "id": 0,
79 "displayId": "string",
80 "status": "CREATED",
81 "name": "string",
82 "erpSystemId": 0
83 },
84 "profitCenter": {
85 "id": 0,
86 "displayId": "string",
87 "status": "CREATED",
88 "name": "string",
89 "validTo": "2019-08-24",
90 "erpSystemId": 0,
91 "erpSystemDisplayId": "string"
92 },
93 "taxJurisdiction": {
94 "id": 0,
95 "displayId": "string",
96 "status": "CREATED",
97 "name": "string",
98 "erpSystemId": 0,
99 "schema": "string",
100 "countryDisplayId": "string"
101 },
102 "taxCode": {
103 "id": 0,
104 "displayId": "string",
105 "status": "CREATED",
106 "name": "string",
107 "erpSystemId": 0
108 },
109 "taxLineItems": [
110 {
111 "id": 0,
112 "taxRate": 0.1,
113 "taxAmount": 0,
114 "taxType": "string",
115 "purchaseOrderLineItemId": 0
116 }
117 ],
118 "purchaseOrderId": 0,
119 "purchaseOrderDisplayId": "string",
120 "purchaseOrderState": "INV_DRAFT",
121 "invoiceLineItems": [
122 {
123 "id": 0,
124 "displayId": "string",
125 "expenseCategory": {
126 "id": 0,
127 "displayId": "string",
128 "status": "CREATED",
129 "name": "string",
130 "expenseCategoryType": "PAYMENT"
131 },
132 "description": "string",
133 "unitOfMeasure": {
134 "id": 0,
135 "displayId": "string",
136 "status": "CREATED",
137 "name": "string",
138 "erpSystemId": 0
139 },
140 "quantity": 0,
141 "unitPrice": 0,
142 "taxJurisdiction": {
143 "id": 0,
144 "displayId": "string",
145 "status": "CREATED",
146 "name": "string",
147 "erpSystemId": 0,
148 "schema": "string",
149 "countryDisplayId": "string"
150 },
151 "taxCode": {
152 "id": 0,
153 "displayId": "string",
154 "status": "CREATED",
155 "name": "string",
156 "erpSystemId": 0
157 },
158 "taxExpenseAccount": {
159 "id": 0,
160 "displayId": "string",
161 "generalLedgerAccountName": "string",
162 "generalLedgerAccountCode": "string",
163 "openItemManagement": true,
164 "accountCategory": "BALANCESHEET",
165 "shortName": "string",
166 "longName": "string"
167 },
168 "taxLineItems": [
169 {
170 "id": 0,
171 "taxRate": 0.1,
172 "taxAmount": 0,
173 "taxType": "string",
174 "invoiceLineItemId": 0
175 }
176 ],
177 "workBreakdownStructure": {
178 "id": 0,
179 "displayId": "string",
180 "status": "CREATED",
181 "name": "string",
182 "erpSystemId": 0
183 },
184 "costCenter": {
185 "id": 0,
186 "displayId": "string",
187 "status": "CREATED",
188 "name": "string",
189 "erpSystemId": 0
190 },
191 "profitCenter": {
192 "id": 0,
193 "displayId": "string",
194 "status": "CREATED",
195 "name": "string",
196 "validTo": "2019-08-24",
197 "erpSystemId": 0,
198 "erpSystemDisplayId": "string"
199 },
200 "functionalArea": {
201 "id": 0,
202 "displayId": "string",
203 "status": "CREATED",
204 "name": "string",
205 "erpSystemId": 0
206 },
207 "businessArea": {
208 "id": 0,
209 "displayId": "string",
210 "status": "CREATED",
211 "name": "string",
212 "erpSystemId": 0
213 },
214 "segment": {
215 "id": 0,
216 "displayId": "string",
217 "status": "CREATED",
218 "name": "string",
219 "erpSystemId": 0
220 },
221 "network": {
222 "id": 0,
223 "displayId": "string",
224 "status": "CREATED",
225 "name": "string",
226 "erpSystemId": 0
227 },
228 "internalOrderType": {
229 "id": 0,
230 "displayId": "string",
231 "status": "CREATED",
232 "name": "string",
233 "erpSystemId": 0
234 },
235 "internalOrder": {
236 "id": 0,
237 "displayId": "string",
238 "status": "CREATED",
239 "name": "string",
240 "erpSystemId": 0,
241 "internalOrderTypeId": 0
242 },
243 "additionalCurrencies": [
244 {
245 "id": 0,
246 "amount": 0,
247 "currency": {},
248 "conversionRate": 0,
249 "conversionDate": "2019-08-24",
250 "translationDateType": "DOCUMENT_DATE",
251 "amountType": "NET_AMOUNT",
252 "currencyDefinitionType": "CONTRACT_CURRENCY",
253 "invoiceEntryId": 0,
254 "invoiceEntryDisplayId": "string"
255 }
256 ],
257 "scheduledPaymentMatches": [
258 {
259 "id": 0,
260 "fromId": 0,
261 "toId": 0,
262 "amount": 0
263 }
264 ],
265 "goodsReceiptLineItemLinks": [
266 {
267 "id": 0,
268 "fromId": 0,
269 "toId": 0,
270 "linkedQuantity": 0
271 }
272 ],
273 "invoiceId": 0,
274 "invoiceDisplayId": "string",
275 "invoiceState": "INV_DRAFT",
276 "vendorPaymentId": 0,
277 "purchaseOrderLineItemId": 0,
278 "netAmount": 0,
279 "allowsSystemGenerateNewId": true,
280 "numberRangeIdentifierValue": "string",
281 "numberRangeIdentifierType": {
282 "name": "string"
283 },
284 "numberRangeType": {
285 "name": "string"
286 }
287 }
288 ],
289 "goodsReceiptLineItems": [
290 {
291 "id": 0,
292 "displayId": "string",
293 "quantity": 0,
294 "invoicedQuantity": 0,
295 "description": "string",
296 "expenseCategory": {
297 "id": 0,
298 "displayId": "string",
299 "status": "CREATED",
300 "name": "string",
301 "expenseCategoryType": "PAYMENT"
302 },
303 "goodsReceiptId": 0,
304 "goodsReceiptDisplayId": "string",
305 "goodsReceiptState": "INV_DRAFT",
306 "purchaseOrderLineItemId": 0,
307 "invoiceLineItemLinks": [
308 {
309 "id": 0,
310 "fromId": 0,
311 "toId": 0,
312 "linkedQuantity": 0
313 }
314 ],
315 "allowsSystemGenerateNewId": true,
316 "numberRangeIdentifierValue": "string",
317 "numberRangeIdentifierType": {
318 "name": "string"
319 },
320 "numberRangeType": {
321 "name": "string"
322 }
323 }
324 ],
325 "vendorPaymentId": 0,
326 "purchaseRequisitionLineItemId": 0,
327 "purchaseRequisitionDisplayId": "string",
328 "purchaseRequisitionLineItemAvailableQuantity": 0,
329 "allowsSystemGenerateNewId": true,
330 "numberRangeIdentifierValue": "string",
331 "numberRangeIdentifierType": {
332 "name": "string"
333 },
334 "numberRangeType": {
335 "name": "string"
336 }
337 }
338 ],
339 "allowsSystemGenerateNewId": true,
340 "numberRangeIdentifierValue": "string",
341 "numberRangeIdentifierType": {
342 "name": "string"
343 },
344 "numberRangeType": {
345 "name": "string"
346 }
347 }
348 ],
349 "purchaseOrders": [
350 {
351 "id": 0,
352 "displayId": "string",
353 "state": "INV_DRAFT",
354 "issueDate": "2019-08-24",
355 "expectedDeliveryDate": "2019-08-24",
356 "name": "string",
357 "shippingAddress": "string",
358 "notes": "string",
359 "netAmount": 0,
360 "taxAmount": 0,
361 "externalPurchaseOrderDisplayId": "string",
362 "vendor": {
363 "id": 0,
364 "displayId": "string",
365 "status": "CREATED",
366 "name": "string",
367 "erpSystemDisplayId": "string"
368 },
369 "currency": {
370 "id": 0,
371 "displayId": "string",
372 "status": "CREATED",
373 "name": "string",
374 "decimalPoints": 0
375 },
376 "company": {
377 "id": 0,
378 "displayId": "string",
379 "status": "CREATED",
380 "erpSystemId": 0,
381 "erpSystemDisplayId": "string",
382 "countryId": 0,
383 "countryDisplayId": "string",
384 "name": "string",
385 "postingPeriodVariantId": 0,
386 "fiscalVariantId": 0
387 },
388 "purchaseOrderLineItems": [
389 {
390 "id": 0,
391 "displayId": "string",
392 "quantity": 0,
393 "allocatedQuantity": 0,
394 "receivedQuantity": 0,
395 "unitPrice": 0,
396 "description": "string",
397 "expenseCategory": {
398 "id": 0,
399 "displayId": "string",
400 "status": "CREATED",
401 "name": "string",
402 "expenseCategoryType": "PAYMENT"
403 },
404 "costCenter": {
405 "id": 0,
406 "displayId": "string",
407 "status": "CREATED",
408 "name": "string",
409 "erpSystemId": 0
410 },
411 "profitCenter": {
412 "id": 0,
413 "displayId": "string",
414 "status": "CREATED",
415 "name": "string",
416 "validTo": "2019-08-24",
417 "erpSystemId": 0,
418 "erpSystemDisplayId": "string"
419 },
420 "taxJurisdiction": {
421 "id": 0,
422 "displayId": "string",
423 "status": "CREATED",
424 "name": "string",
425 "erpSystemId": 0,
426 "schema": "string",
427 "countryDisplayId": "string"
428 },
429 "taxCode": {
430 "id": 0,
431 "displayId": "string",
432 "status": "CREATED",
433 "name": "string",
434 "erpSystemId": 0
435 },
436 "taxLineItems": [
437 {
438 "id": 0,
439 "taxRate": 0.1,
440 "taxAmount": 0,
441 "taxType": "string",
442 "purchaseOrderLineItemId": 0
443 }
444 ],
445 "purchaseOrderId": 0,
446 "purchaseOrderDisplayId": "string",
447 "purchaseOrderState": "INV_DRAFT",
448 "invoiceLineItems": [
449 {
450 "id": 0,
451 "displayId": "string",
452 "expenseCategory": {
453 "id": 0,
454 "displayId": "string",
455 "status": "CREATED",
456 "name": "string",
457 "expenseCategoryType": "PAYMENT"
458 },
459 "description": "string",
460 "unitOfMeasure": {
461 "id": 0,
462 "displayId": "string",
463 "status": "CREATED",
464 "name": "string",
465 "erpSystemId": 0
466 },
467 "quantity": 0,
468 "unitPrice": 0,
469 "taxJurisdiction": {
470 "id": 0,
471 "displayId": "string",
472 "status": "CREATED",
473 "name": "string",
474 "erpSystemId": 0,
475 "schema": "string",
476 "countryDisplayId": "string"
477 },
478 "taxCode": {
479 "id": 0,
480 "displayId": "string",
481 "status": "CREATED",
482 "name": "string",
483 "erpSystemId": 0
484 },
485 "taxExpenseAccount": {
486 "id": 0,
487 "displayId": "string",
488 "generalLedgerAccountName": "string",
489 "generalLedgerAccountCode": "string",
490 "openItemManagement": true,
491 "accountCategory": "BALANCESHEET",
492 "shortName": "string",
493 "longName": "string"
494 },
495 "taxLineItems": [
496 {
497 "id": 0,
498 "taxRate": 0.1,
499 "taxAmount": 0,
500 "taxType": "string",
501 "invoiceLineItemId": 0
502 }
503 ],
504 "workBreakdownStructure": {
505 "id": 0,
506 "displayId": "string",
507 "status": "CREATED",
508 "name": "string",
509 "erpSystemId": 0
510 },
511 "costCenter": {
512 "id": 0,
513 "displayId": "string",
514 "status": "CREATED",
515 "name": "string",
516 "erpSystemId": 0
517 },
518 "profitCenter": {
519 "id": 0,
520 "displayId": "string",
521 "status": "CREATED",
522 "name": "string",
523 "validTo": "2019-08-24",
524 "erpSystemId": 0,
525 "erpSystemDisplayId": "string"
526 },
527 "functionalArea": {
528 "id": 0,
529 "displayId": "string",
530 "status": "CREATED",
531 "name": "string",
532 "erpSystemId": 0
533 },
534 "businessArea": {
535 "id": 0,
536 "displayId": "string",
537 "status": "CREATED",
538 "name": "string",
539 "erpSystemId": 0
540 },
541 "segment": {
542 "id": 0,
543 "displayId": "string",
544 "status": "CREATED",
545 "name": "string",
546 "erpSystemId": 0
547 },
548 "network": {
549 "id": 0,
550 "displayId": "string",
551 "status": "CREATED",
552 "name": "string",
553 "erpSystemId": 0
554 },
555 "internalOrderType": {
556 "id": 0,
557 "displayId": "string",
558 "status": "CREATED",
559 "name": "string",
560 "erpSystemId": 0
561 },
562 "internalOrder": {
563 "id": 0,
564 "displayId": "string",
565 "status": "CREATED",
566 "name": "string",
567 "erpSystemId": 0,
568 "internalOrderTypeId": 0
569 },
[...]
